Debian Bug report logs - #506713
[PR38287, fixed in 4.4] Incorrect code in SPARC shared libraries

version graph

Package: g++-4.3; Maintainer for g++-4.3 is Debian GCC Maintainers <debian-gcc@lists.debian.org>;

Reported by: Ben Hutchings <ben@decadent.org.uk>

Date: Sun, 23 Nov 2008 23:48:02 UTC

Severity: serious

Tags: fixed-upstream, upstream

Found in version gcc-4.3/4.3.2-1

Fixed in versions gcc-4.3/4.3.2-2~exp4, gcc-4.3/4.3.2-1.1

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://gcc.gnu.org/PR38287

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#506713; Package g++-4.3. (Sun, 23 Nov 2008 23:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
New Bug report received and forwarded. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sun, 23 Nov 2008 23:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: submit@bugs.debian.org
Subject: g++-4.3: Incorrect code in SPARC shared libraries
Date: Sun, 23 Nov 2008 23:48:07 +0000
[Message part 1 (text/plain, inline)]
Package: g++-4.3
Version: 4.3.2-1
Severity: serious

Functions compiled for SPARC with both -O2 and -fPIC options, which
return structures and require global data, may have incorrect code
generated for them.

The following example is based on Qt 3, which is affected by this bug
(see #490999).  The code should of course print "1 + 1 = 2" but when
compiled for SPARC with -O2 -fPIC it prints "1 + 1 = 0" (or may crash).
The first two instructions generated for QTime::addMSecs() are a save
using %sp and a load relative to %sp which depends on the *old* value of
%sp.

This example appears to be compiled correctly if I remove either option
or reduce the value of MSECS_PER_DAY such that it can be an immediate
constant.

Ben.

#include <iostream>

class QTime
{
public:
    explicit QTime(int ms = 0) : ds(ms) {}
    static QTime currentTime() { return QTime(); }
    QTime addMSecs(int ms) const;
    int msecs() const { return ds; }
private:
    unsigned ds;
};

static const unsigned MSECS_PER_DAY = 86400000;

QTime QTime::addMSecs( int ms ) const
{
    QTime t;
    if ( ms < 0 ) {
	// % not well-defined for -ve, but / is.
	int negdays = (MSECS_PER_DAY-ms) / MSECS_PER_DAY;
	t.ds = ((int)ds + ms + negdays*MSECS_PER_DAY)
		% MSECS_PER_DAY;
    } else {
	t.ds = ((int)ds + ms) % MSECS_PER_DAY;
    }
    return t;
}

int main(int argc, char* argv[] )
{
    std::cout << "1 + 1 = " << QTime(1).addMSecs(1).msecs() << std::endl;
}

[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 490999 added: 506713 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 23 Nov 2008 23:57:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#506713; Package g++-4.3. (Mon, 24 Nov 2008 00:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 24 Nov 2008 00:18:05 GMT) Full text and rfc822 format available.

Message #12 received at 506713@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>, 506713@bugs.debian.org
Subject: Re: Bug#506713: g++-4.3: Incorrect code in SPARC shared libraries
Date: Mon, 24 Nov 2008 01:11:48 +0100
Ben Hutchings schrieb:
> Functions compiled for SPARC with both -O2 and -fPIC options, which
> return structures and require global data, may have incorrect code
> generated for them.

please could you recheck with gcc-4.3 from experimental, and gcc-snapshot?

  Matthias





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#506713; Package g++-4.3. (Mon, 24 Nov 2008 00:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 24 Nov 2008 00:33:08 GMT) Full text and rfc822 format available.

Message #17 received at 506713@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Matthias Klose <doko@debian.org>
Cc: 506713@bugs.debian.org
Subject: Re: Bug#506713: g++-4.3: Incorrect code in SPARC shared libraries
Date: Mon, 24 Nov 2008 00:31:20 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2008-11-24 at 01:11 +0100, Matthias Klose wrote:
> Ben Hutchings schrieb:
> > Functions compiled for SPARC with both -O2 and -fPIC options, which
> > return structures and require global data, may have incorrect code
> > generated for them.
> 
> please could you recheck with gcc-4.3 from experimental, and gcc-snapshot?

Not easily.  I used sperger to investigate this and don't have my own
SPARC system set up.

Ben.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#506713; Package g++-4.3. (Mon, 24 Nov 2008 10:39:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Baurzhan Ismagulov <ibr@radix50.net>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 24 Nov 2008 10:39:41 GMT) Full text and rfc822 format available.

Message #22 received at 506713@bugs.debian.org (full text, mbox):

From: Baurzhan Ismagulov <ibr@radix50.net>
To: Matthias Klose <doko@debian.org>
Cc: Ben Hutchings <ben@decadent.org.uk>, 506713@bugs.debian.org
Subject: Re: Bug#506713: g++-4.3: Incorrect code in SPARC shared libraries
Date: Mon, 24 Nov 2008 11:30:30 +0100
On Mon, Nov 24, 2008 at 01:11:48AM +0100, Matthias Klose wrote:
> > Functions compiled for SPARC with both -O2 and -fPIC options, which
> > return structures and require global data, may have incorrect code
> > generated for them.
> 
> please could you recheck with gcc-4.3 from experimental, and gcc-snapshot?

The problem exists in experimental but not in gcc-snapshot.

With kind regards,
-- 
Baurzhan Ismagulov
http://www.kz-easy.com/




Noted your statement that Bug has been forwarded to http://gcc.gnu.org/PR38287. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Thu, 27 Nov 2008 13:09:02 GMT) Full text and rfc822 format available.

Tags added: upstream, fixed-upstream Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Thu, 27 Nov 2008 13:09:03 GMT) Full text and rfc822 format available.

Changed Bug title to `[PR38287, fixed in 4.4] Incorrect code in SPARC shared libraries' from `g++-4.3: Incorrect code in SPARC shared libraries'. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Thu, 27 Nov 2008 13:09:03 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Mon, 01 Dec 2008 08:00:03 GMT) Full text and rfc822 format available.

Notification sent to Ben Hutchings <ben@decadent.org.uk>:
Bug acknowledged by developer. (Mon, 01 Dec 2008 08:00:04 GMT) Full text and rfc822 format available.

Message #33 received at 506713-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 506713-close@bugs.debian.org
Subject: Bug#506713: fixed in gcc-4.3 4.3.2-2~exp4
Date: Mon, 01 Dec 2008 07:47:23 +0000
Source: gcc-4.3
Source-Version: 4.3.2-2~exp4

We believe that the bug you reported is fixed in the latest version of
gcc-4.3, which is due to be installed in the Debian FTP archive:

cpp-4.3_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/cpp-4.3_4.3.2-2~exp4_i386.deb
cpp-4.3_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/cpp-4.3_4.3.2-2~exp4_powerpc.deb
fixincludes_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/fixincludes_4.3.2-2~exp4_i386.deb
fixincludes_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/fixincludes_4.3.2-2~exp4_powerpc.deb
g++-4.3-multilib_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/g++-4.3-multilib_4.3.2-2~exp4_i386.deb
g++-4.3-multilib_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/g++-4.3-multilib_4.3.2-2~exp4_powerpc.deb
g++-4.3-spu_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/g++-4.3-spu_4.3.2-2~exp4_powerpc.deb
g++-4.3_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/g++-4.3_4.3.2-2~exp4_i386.deb
g++-4.3_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/g++-4.3_4.3.2-2~exp4_powerpc.deb
gcc-4.3-base_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/gcc-4.3-base_4.3.2-2~exp4_i386.deb
gcc-4.3-base_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/gcc-4.3-base_4.3.2-2~exp4_powerpc.deb
gcc-4.3-locales_4.3.2-2~exp4_all.deb
  to pool/main/g/gcc-4.3/gcc-4.3-locales_4.3.2-2~exp4_all.deb
gcc-4.3-multilib_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/gcc-4.3-multilib_4.3.2-2~exp4_i386.deb
gcc-4.3-multilib_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/gcc-4.3-multilib_4.3.2-2~exp4_powerpc.deb
gcc-4.3-source_4.3.2-2~exp4_all.deb
  to pool/main/g/gcc-4.3/gcc-4.3-source_4.3.2-2~exp4_all.deb
gcc-4.3-spu_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/gcc-4.3-spu_4.3.2-2~exp4_powerpc.deb
gcc-4.3_4.3.2-2~exp4.diff.gz
  to pool/main/g/gcc-4.3/gcc-4.3_4.3.2-2~exp4.diff.gz
gcc-4.3_4.3.2-2~exp4.dsc
  to pool/main/g/gcc-4.3/gcc-4.3_4.3.2-2~exp4.dsc
gcc-4.3_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/gcc-4.3_4.3.2-2~exp4_i386.deb
gcc-4.3_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/gcc-4.3_4.3.2-2~exp4_powerpc.deb
gfortran-4.3-multilib_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/gfortran-4.3-multilib_4.3.2-2~exp4_i386.deb
gfortran-4.3-multilib_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/gfortran-4.3-multilib_4.3.2-2~exp4_powerpc.deb
gfortran-4.3-spu_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/gfortran-4.3-spu_4.3.2-2~exp4_powerpc.deb
gfortran-4.3_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/gfortran-4.3_4.3.2-2~exp4_i386.deb
gfortran-4.3_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/gfortran-4.3_4.3.2-2~exp4_powerpc.deb
gobjc++-4.3-multilib_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/gobjc++-4.3-multilib_4.3.2-2~exp4_i386.deb
gobjc++-4.3-multilib_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/gobjc++-4.3-multilib_4.3.2-2~exp4_powerpc.deb
gobjc++-4.3_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/gobjc++-4.3_4.3.2-2~exp4_i386.deb
gobjc++-4.3_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/gobjc++-4.3_4.3.2-2~exp4_powerpc.deb
gobjc-4.3-multilib_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/gobjc-4.3-multilib_4.3.2-2~exp4_i386.deb
gobjc-4.3-multilib_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/gobjc-4.3-multilib_4.3.2-2~exp4_powerpc.deb
gobjc-4.3_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/gobjc-4.3_4.3.2-2~exp4_i386.deb
gobjc-4.3_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/gobjc-4.3_4.3.2-2~exp4_powerpc.deb
lib64gcc1-dbg_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/lib64gcc1-dbg_4.3.2-2~exp4_i386.deb
lib64gcc1-dbg_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/lib64gcc1-dbg_4.3.2-2~exp4_powerpc.deb
lib64gcc1_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/lib64gcc1_4.3.2-2~exp4_i386.deb
lib64gcc1_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/lib64gcc1_4.3.2-2~exp4_powerpc.deb
lib64gfortran3-dbg_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/lib64gfortran3-dbg_4.3.2-2~exp4_i386.deb
lib64gfortran3-dbg_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/lib64gfortran3-dbg_4.3.2-2~exp4_powerpc.deb
lib64gfortran3_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/lib64gfortran3_4.3.2-2~exp4_i386.deb
lib64gfortran3_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/lib64gfortran3_4.3.2-2~exp4_powerpc.deb
lib64gomp1-dbg_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/lib64gomp1-dbg_4.3.2-2~exp4_i386.deb
lib64gomp1-dbg_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/lib64gomp1-dbg_4.3.2-2~exp4_powerpc.deb
lib64gomp1_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/lib64gomp1_4.3.2-2~exp4_i386.deb
lib64gomp1_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/lib64gomp1_4.3.2-2~exp4_powerpc.deb
lib64mudflap0-dbg_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/lib64mudflap0-dbg_4.3.2-2~exp4_i386.deb
lib64mudflap0-dbg_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/lib64mudflap0-dbg_4.3.2-2~exp4_powerpc.deb
lib64mudflap0_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/lib64mudflap0_4.3.2-2~exp4_i386.deb
lib64mudflap0_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/lib64mudflap0_4.3.2-2~exp4_powerpc.deb
lib64objc2-dbg_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/lib64objc2-dbg_4.3.2-2~exp4_i386.deb
lib64objc2-dbg_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/lib64objc2-dbg_4.3.2-2~exp4_powerpc.deb
lib64objc2_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/lib64objc2_4.3.2-2~exp4_i386.deb
lib64objc2_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/lib64objc2_4.3.2-2~exp4_powerpc.deb
lib64stdc++6-4.3-dbg_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/lib64stdc++6-4.3-dbg_4.3.2-2~exp4_i386.deb
lib64stdc++6-4.3-dbg_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/lib64stdc++6-4.3-dbg_4.3.2-2~exp4_powerpc.deb
lib64stdc++6_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/lib64stdc++6_4.3.2-2~exp4_i386.deb
lib64stdc++6_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/lib64stdc++6_4.3.2-2~exp4_powerpc.deb
libgcc1-dbg_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/libgcc1-dbg_4.3.2-2~exp4_i386.deb
libgcc1-dbg_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/libgcc1-dbg_4.3.2-2~exp4_powerpc.deb
libgcc1_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/libgcc1_4.3.2-2~exp4_i386.deb
libgcc1_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/libgcc1_4.3.2-2~exp4_powerpc.deb
libgfortran3-dbg_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/libgfortran3-dbg_4.3.2-2~exp4_i386.deb
libgfortran3-dbg_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/libgfortran3-dbg_4.3.2-2~exp4_powerpc.deb
libgfortran3_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/libgfortran3_4.3.2-2~exp4_i386.deb
libgfortran3_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/libgfortran3_4.3.2-2~exp4_powerpc.deb
libgomp1-dbg_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/libgomp1-dbg_4.3.2-2~exp4_i386.deb
libgomp1-dbg_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/libgomp1-dbg_4.3.2-2~exp4_powerpc.deb
libgomp1_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/libgomp1_4.3.2-2~exp4_i386.deb
libgomp1_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/libgomp1_4.3.2-2~exp4_powerpc.deb
libmudflap0-4.3-dev_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/libmudflap0-4.3-dev_4.3.2-2~exp4_i386.deb
libmudflap0-4.3-dev_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/libmudflap0-4.3-dev_4.3.2-2~exp4_powerpc.deb
libmudflap0-dbg_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/libmudflap0-dbg_4.3.2-2~exp4_i386.deb
libmudflap0-dbg_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/libmudflap0-dbg_4.3.2-2~exp4_powerpc.deb
libmudflap0_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/libmudflap0_4.3.2-2~exp4_i386.deb
libmudflap0_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/libmudflap0_4.3.2-2~exp4_powerpc.deb
libobjc2-dbg_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/libobjc2-dbg_4.3.2-2~exp4_i386.deb
libobjc2-dbg_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/libobjc2-dbg_4.3.2-2~exp4_powerpc.deb
libobjc2_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/libobjc2_4.3.2-2~exp4_i386.deb
libobjc2_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/libobjc2_4.3.2-2~exp4_powerpc.deb
libstdc++6-4.3-dbg_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/libstdc++6-4.3-dbg_4.3.2-2~exp4_i386.deb
libstdc++6-4.3-dbg_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/libstdc++6-4.3-dbg_4.3.2-2~exp4_powerpc.deb
libstdc++6-4.3-dev_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/libstdc++6-4.3-dev_4.3.2-2~exp4_i386.deb
libstdc++6-4.3-dev_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/libstdc++6-4.3-dev_4.3.2-2~exp4_powerpc.deb
libstdc++6-4.3-doc_4.3.2-2~exp4_all.deb
  to pool/main/g/gcc-4.3/libstdc++6-4.3-doc_4.3.2-2~exp4_all.deb
libstdc++6-4.3-pic_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/libstdc++6-4.3-pic_4.3.2-2~exp4_i386.deb
libstdc++6-4.3-pic_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/libstdc++6-4.3-pic_4.3.2-2~exp4_powerpc.deb
libstdc++6_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/libstdc++6_4.3.2-2~exp4_i386.deb
libstdc++6_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/libstdc++6_4.3.2-2~exp4_powerpc.deb
protoize_4.3.2-2~exp4_i386.deb
  to pool/main/g/gcc-4.3/protoize_4.3.2-2~exp4_i386.deb
protoize_4.3.2-2~exp4_powerpc.deb
  to pool/main/g/gcc-4.3/protoize_4.3.2-2~exp4_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 506713@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-4.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 01 Dec 2008 01:29:51 +0100
Source: gcc-4.3
Binary: gcc-4.3-base libgcc1 libgcc1-dbg libgcc2 libgcc2-dbg libgcc4 libgcc4-dbg lib64gcc1 lib64gcc1-dbg lib32gcc1 lib32gcc1-dbg libn32gcc1 libn32gcc1-dbg gcc-4.3 gcc-4.3-multilib gcc-4.3-hppa64 gcc-4.3-spu g++-4.3-spu gfortran-4.3-spu cpp-4.3 gcc-4.3-locales g++-4.3 g++-4.3-multilib libmudflap0 libmudflap0-dbg lib32mudflap0 lib32mudflap0-dbg lib64mudflap0 lib64mudflap0-dbg libn32mudflap0 libn32mudflap0-dbg libmudflap0-4.3-dev libgomp1 libgomp1-dbg lib32gomp1 lib32gomp1-dbg lib64gomp1 lib64gomp1-dbg libn32gomp1 libn32gomp1-dbg protoize gobjc++-4.3 gobjc++-4.3-multilib gobjc-4.3 gobjc-4.3-multilib libobjc2 libobjc2-dbg lib64objc2 lib64objc2-dbg lib32objc2 lib32objc2-dbg libn32objc2 libn32objc2-dbg gfortran-4.3 gfortran-4.3-multilib libgfortran3 libgfortran3-dbg lib64gfortran3 lib64gfortran3-dbg lib32gfortran3 lib32gfortran3-dbg libn32gfortran3 libn32gfortran3-dbg libstdc++6 lib32stdc++6 lib64stdc++6 libn32stdc++6 libstdc++6-4.3-dev libstdc++6-4.3-pic libstdc++6-4.3-dbg lib32stdc++6-4.3-dbg lib64stdc++6-4.3-dbg libn32stdc++6-4.3-dbg libstdc++6-4.3-doc gcc-4.3-soft-float fixincludes gcc-4.3-source
Architecture: all i386 powerpc source 
Version: 4.3.2-2~exp4
Distribution: experimental
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Closes: 506713
Description:
 cpp-4.3    - The GNU C preprocessor
 fixincludes - Fix non-ANSI header files
 g++-4.3    - The GNU C++ compiler
 g++-4.3-multilib - The GNU C++ compiler (multilib files)
 g++-4.3-spu - SPU cross-compiler (C++ compiler)
 gcc-4.3    - The GNU C compiler
 gcc-4.3-base - The GNU Compiler Collection (base package)
 gcc-4.3-hppa64 - The GNU C compiler (cross compiler for hppa64)
 gcc-4.3-locales - The GNU C compiler (native language support files)
 gcc-4.3-multilib - The GNU C compiler (multilib files)
 gcc-4.3-soft-float - The soft-floating-point gcc libraries (arm)
 gcc-4.3-source - Source of the GNU Compiler Collection
 gcc-4.3-spu - SPU cross-compiler (preprocessor and C compiler)
 gfortran-4.3 - The GNU Fortran 95 compiler
 gfortran-4.3-multilib - The GNU Fortran 95 compiler (multilib files)
 gfortran-4.3-spu - SPU cross-compiler (Fortran compiler)
 gobjc++-4.3 - The GNU Objective-C++ compiler
 gobjc++-4.3-multilib - The GNU Objective-C++ compiler (multilib files)
 gobjc-4.3  - The GNU Objective-C compiler
 gobjc-4.3-multilib - The GNU Objective-C compiler (multilib files)
 lib32gcc1  - GCC support library (32 bit Version)
 lib32gcc1-dbg - GCC support library (debug symbols)
 lib32gfortran3 - Runtime library for GNU Fortran applications (32bit)
 lib32gfortran3-dbg - Runtime library for GNU Fortran applications (32 bit debug symbol
 lib32gomp1 - GCC OpenMP (GOMP) support library (32bit)
 lib32gomp1-dbg - GCC OpenMP (GOMP) support library (32 bit debug symbols)
 lib32mudflap0 - GCC mudflap shared support libraries (32bit)
 lib32mudflap0-dbg - GCC mudflap shared support libraries (32 bit debug symbols)
 lib32objc2 - Runtime library for GNU Objective-C applications (32bit)
 lib32objc2-dbg - Runtime library for GNU Objective-C applications (32 bit debug sy
 lib32stdc++6 - The GNU Standard C++ Library v3 (32 bit Version)
 lib32stdc++6-4.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 lib64gcc1  - GCC support library (64bit)
 lib64gcc1-dbg - GCC support library (debug symbols)
 lib64gfortran3 - Runtime library for GNU Fortran applications (64bit)
 lib64gfortran3-dbg - Runtime library for GNU Fortran applications (64bit debug symbols
 lib64gomp1 - GCC OpenMP (GOMP) support library (64bit)
 lib64gomp1-dbg - GCC OpenMP (GOMP) support library (64bit debug symbols)
 lib64mudflap0 - GCC mudflap shared support libraries (64bit)
 lib64mudflap0-dbg - GCC mudflap shared support libraries (64 bit debug symbols)
 lib64objc2 - Runtime library for GNU Objective-C applications (64bit)
 lib64objc2-dbg - Runtime library for GNU Objective-C applications (64 bit debug sy
 lib64stdc++6 - The GNU Standard C++ Library v3 (64bit)
 lib64stdc++6-4.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libgcc1    - GCC support library
 libgcc1-dbg - GCC support library (debug symbols)
 libgcc2    - GCC support library
 libgcc2-dbg - GCC support library (debug symbols)
 libgcc4    - GCC support library
 libgcc4-dbg - GCC support library (debug symbols)
 libgfortran3 - Runtime library for GNU Fortran applications
 libgfortran3-dbg - Runtime library for GNU Fortran applications (debug symbols)
 libgomp1   - GCC OpenMP (GOMP) support library
 libgomp1-dbg - GCC OpenMP (GOMP) support library (debug symbols)
 libmudflap0 - GCC mudflap shared support libraries
 libmudflap0-4.3-dev - GCC mudflap support libraries (development files)
 libmudflap0-dbg - GCC mudflap shared support libraries (debug symbols)
 libn32gcc1 - GCC support library (n32)
 libn32gcc1-dbg - GCC support library (debug symbols)
 libn32gfortran3 - Runtime library for GNU Fortran applications (n32)
 libn32gfortran3-dbg - Runtime library for GNU Fortran applications (n32 debug symbols)
 libn32gomp1 - GCC OpenMP (GOMP) support library (n32)
 libn32gomp1-dbg - GCC OpenMP (GOMP) support library (n32 debug symbols)
 libn32mudflap0 - GCC mudflap shared support libraries (n32)
 libn32mudflap0-dbg - GCC mudflap shared support libraries (n32 debug symbols)
 libn32objc2 - Runtime library for GNU Objective-C applications (n32)
 libn32objc2-dbg - Runtime library for GNU Objective-C applications (n32 debug symbo
 libn32stdc++6 - The GNU Standard C++ Library v3 (n32)
 libn32stdc++6-4.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libobjc2   - Runtime library for GNU Objective-C applications
 libobjc2-dbg - Runtime library for GNU Objective-C applications (debug symbols)
 libstdc++6 - The GNU Standard C++ Library v3
 libstdc++6-4.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++6-4.3-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++6-4.3-doc - The GNU Standard C++ Library v3 (documentation files)
 libstdc++6-4.3-pic - The GNU Standard C++ Library v3 (shared library subset kit)
 protoize   - Create/remove ANSI prototypes from C code
Changes:
 gcc-4.3 (4.3.2-2~exp4) experimental; urgency=low
 .
   * Update to SVN 20081130 from the gcc-4_3-branch.
     - Fix PR bootstrap/33304, PR middle-end/37807, PR middle-end/37809,
       PR rtl-optimization/37489, PR target/35574, PR c/37924,
       PR tree-optimization/37879, PR middle-end/37858, PR middle-end/37870,
       PR target/38016, PR target/37939, PR rtl-optimization/37769,
       PR target/37909, PR fortran/37597, PR fortran/35820, PR fortran/37445,
       PR fortran/PR35769, PR fortran/37903, PR fortran/37749.
     - Fix PR target/37640, PR tree-optimization/37868, PR bootstrap/33100,
       PR other/38214, PR c++/37142, PR c++/35405, PR c++/37563, PR c++/38030,
       PR c++/37932, PR c++/38007.
     - Fix PR fortran/37836, PR fortran/38171, PR fortran/35681,
       PR fortran/37792, PR fortran/37926, PR fortran/38033, PR fortran/36526.
     - Fix PR target/38287. Closes: #506713.
   * Atomic builtins using kernel helpers for PARISC and ARM Linux/EABI, taken
     from the trunk.
Checksums-Sha1: 
 052fae9633b356ac4651a877c3b17ee73360b406 235568 libmudflap0-4.3-dev_4.3.2-2~exp4_powerpc.deb
 06e1f29e0b88743aaf87590967053279dae6f3d3 96008 lib64mudflap0_4.3.2-2~exp4_i386.deb
 08a521e978bf23323ec9fa854b0b9c6a1a3e14d1 95732 lib64mudflap0_4.3.2-2~exp4_powerpc.deb
 0bd08f2a66fcd11d4f9c95917300eb32aca6c7e2 465258 lib64gfortran3-dbg_4.3.2-2~exp4_powerpc.deb
 0d7bc5d04d4fae33d3a1c11d16321df13d48b6f2 10077206 libstdc++6-4.3-doc_4.3.2-2~exp4_all.deb
 0daa0a793c256387e1067313b3f8ad7268b49dc1 1388918 libstdc++6-4.3-dev_4.3.2-2~exp4_i386.deb
 0e49d466e04f4c71307f6e59977bdff44ab1c310 13246 libgomp1_4.3.2-2~exp4_i386.deb
 12d3017f32208d54081deabe90e9219588a6041d 1142200 gcc-4.3_4.3.2-2~exp4.diff.gz
 134c442ccd23c8b32a6afed3adc810d7a707535b 284508 lib64gfortran3_4.3.2-2~exp4_powerpc.deb
 16770472c534e8f5c20bf4cf068c85053e27a8ff 4490146 g++-4.3_4.3.2-2~exp4_i386.deb
 189e8f6adf7a1424638038971ca5ec21d78c0068 204530 gobjc-4.3-multilib_4.3.2-2~exp4_powerpc.deb
 1ab33b2493222a520988dacf2ec9adcae7e9a620 15490 lib64gomp1_4.3.2-2~exp4_i386.deb
 1c69026a7b7b70a23cbdf54611adebe172642ba8 858 gobjc++-4.3-multilib_4.3.2-2~exp4_powerpc.deb
 2043be385aed176b0f208b91e683e7113719342c 2305438 gcc-4.3-locales_4.3.2-2~exp4_all.deb
 24246f03dd6e5ea0d690df1ccd9e830efbba7fda 1215472 g++-4.3-multilib_4.3.2-2~exp4_powerpc.deb
 26a4045d2d083c12d2510a2ccc6608f4d049eb9c 85262 lib64gcc1-dbg_4.3.2-2~exp4_powerpc.deb
 26e63531fd423198dbebc57b8b5c96717a728c96 2168228 gcc-4.3-multilib_4.3.2-2~exp4_i386.deb
 2aae6d7e10112ef1036f71561072a25d53f789e8 33880 libgomp1-dbg_4.3.2-2~exp4_i386.deb
 2cf55c439faaa8cc08a3a89983e225ba1cab5aee 182494 lib64objc2_4.3.2-2~exp4_powerpc.deb
 34e920a103f291563daede9a1082145c20de3f6d 36246 lib64gomp1-dbg_4.3.2-2~exp4_powerpc.deb
 36f44b2b2c34eede009a5327a6bce12a84ea2fe3 35970 libgomp1-dbg_4.3.2-2~exp4_powerpc.deb
 3850500b4b028413604abacafc4182ae6ab9a222 42672 libgcc1_4.3.2-2~exp4_powerpc.deb
 38fe076c923ab820a2cfc5829cdd506f8fe3e4c3 3755384 gfortran-4.3-spu_4.3.2-2~exp4_powerpc.deb
 443c3264742a1c38545b6899a137ca73ceee7ee0 17088 lib64gomp1_4.3.2-2~exp4_powerpc.deb
 4965a1969f6e0cfb3bcb0f5e45cd610610c8f982 334452 lib64stdc++6_4.3.2-2~exp4_i386.deb
 49d943dc9c52994737ca1eeadd41d6c7ac171d4b 135226 lib64mudflap0-dbg_4.3.2-2~exp4_powerpc.deb
 4b6533a08928116385f080093cc4a3e76189158a 208748 libmudflap0-4.3-dev_4.3.2-2~exp4_i386.deb
 518b9caa2d34433f417d1e129f34e1740d2dc742 158704 lib64objc2_4.3.2-2~exp4_i386.deb
 5277e8a5cf106e7ba9523e0f85354fa025a280ba 232938 libgfortran3_4.3.2-2~exp4_powerpc.deb
 545550509a4ece94b9e6e584b0769d9e7b51e52d 3471380 gobjc++-4.3_4.3.2-2~exp4_powerpc.deb
 564e7947c493be7b377dbed22ee2d067a528b874 3606844 libstdc++6-4.3-dbg_4.3.2-2~exp4_i386.deb
 5cfd518da029eb22902780089d3c7fad5fa3e396 81574 libgcc1-dbg_4.3.2-2~exp4_powerpc.deb
 5ee1fab5f608b5d7c7c60416f6921eeaa17ae526 3087274 cpp-4.3_4.3.2-2~exp4_i386.deb
 601104066e70341508c82df875ee232f204bcd02 127580 lib64mudflap0-dbg_4.3.2-2~exp4_i386.deb
 65d531c02e6de81d5dee6a4a13de0100a2b8cfee 3982866 libstdc++6-4.3-dbg_4.3.2-2~exp4_powerpc.deb
 6665d47e2b0e5c790883e91a35cd65bb5d08d26f 3231222 cpp-4.3_4.3.2-2~exp4_powerpc.deb
 6c263d3f37e065fa79bdf48de72e9b6850014b35 3507166 gfortran-4.3_4.3.2-2~exp4_i386.deb
 6ce241ed19c7f76c3b98e604891e41e5c1445356 149648 libobjc2_4.3.2-2~exp4_i386.deb
 70edda91894f6bc9992b1f3d8fa94fd7b10ed7d4 46740 lib64gcc1_4.3.2-2~exp4_powerpc.deb
 71aa102e1b2bf152c229c996f550a1214d822784 104678 gcc-4.3-base_4.3.2-2~exp4_powerpc.deb
 7391326feb59816e6f8315bfdc47a3c01ca2826f 651778 gcc-4.3_4.3.2-2~exp4_powerpc.deb
 cba4e0951202c6946e0214120f1b40b2463ca488 3593 gcc-4.3_4.3.2-2~exp4.dsc
 75dc10f20ca430cd497d38c9e5f2d0168e3c2f37 131888 libmudflap0-dbg_4.3.2-2~exp4_powerpc.deb
 77fb3ee5ee772c2357173f13660652a53f3af479 305550 gfortran-4.3-multilib_4.3.2-2~exp4_i386.deb
 7ee90753c972b5b96bbde1a42380eecc4b09a15b 467740 lib64gfortran3-dbg_4.3.2-2~exp4_i386.deb
 813c02d06ae81f00f4b5c143759a5300521083f0 332272 libstdc++6_4.3.2-2~exp4_i386.deb
 837d069d1a379173188dcc1d585ac4de0fa686db 104024 gcc-4.3-base_4.3.2-2~exp4_i386.deb
 8b44cece7bde27c21bbc081ac801a8365f0cae20 34892 lib64gomp1-dbg_4.3.2-2~exp4_i386.deb
 8e89ce1cacb4c106116d3d0ffba4bd624faee6cf 548180 libstdc++6-4.3-pic_4.3.2-2~exp4_powerpc.deb
 932415fd311ac6d42bc555ad36826e7b76959942 15060 libgomp1_4.3.2-2~exp4_powerpc.deb
 9bb7595b15f63e80a5737dd46e624f789cacc404 1430066 libstdc++6-4.3-dev_4.3.2-2~exp4_powerpc.deb
 9d4cd8e07173c7fffe347af39186b4e541fca5bc 213792 gcc-4.3-multilib_4.3.2-2~exp4_powerpc.deb
 9f00a4849a730a960ef810862295c89bb1d2c3e9 1037760 g++-4.3-multilib_4.3.2-2~exp4_i386.deb
 a084419d8f77a02cd45a16b415f116364ca784ea 283596 lib64objc2-dbg_4.3.2-2~exp4_powerpc.deb
 a0c5f38a9b114d87aafe9197557898312dab5d0d 62976 fixincludes_4.3.2-2~exp4_i386.deb
 a1b0648f8389ee05fd6d592ea913e59de6de94a4 41742 protoize_4.3.2-2~exp4_i386.deb
 a2b3c519072589d0b6b0e5049b20fcad52b7e07e 90538 libmudflap0_4.3.2-2~exp4_powerpc.deb
 a5b4de9328935a2c987098a0fa25d7442623b54e 228560 libgfortran3_4.3.2-2~exp4_i386.deb
 a7f1ab3aa0884013339a458e0c623b720c36b3df 488394 libstdc++6-4.3-pic_4.3.2-2~exp4_i386.deb
 a89261ae84c19ba130793747b86fda1189e72561 6820052 lib64stdc++6-4.3-dbg_4.3.2-2~exp4_powerpc.deb
 a8a15dd46699f68c027ba667214196f9e39a9b33 3314238 gobjc++-4.3_4.3.2-2~exp4_i386.deb
 a99330ff861166de44ebfbd49a718fa0d7047631 271146 libobjc2-dbg_4.3.2-2~exp4_i386.deb
 b34ce1d5b41cf01a95e04b6ac8a977094e4eb25f 168114 libobjc2_4.3.2-2~exp4_powerpc.deb
 b86138c0cdd9be87fad12a7f7098560a2237889f 852 gobjc++-4.3-multilib_4.3.2-2~exp4_i386.deb
 b954d45b66fe72c1dee83809ccaabb290830953c 6048326 lib64stdc++6-4.3-dbg_4.3.2-2~exp4_i386.deb
 bacce97e762b6640cd46beb98729fd5b55957efe 278620 libobjc2-dbg_4.3.2-2~exp4_powerpc.deb
 bc37436174eac943710b074fd05e15e2d2e870ef 45272934 gcc-4.3-source_4.3.2-2~exp4_all.deb
 c1b505457e057c9b5a544dd7347d358a2bc7853a 4906382 g++-4.3-spu_4.3.2-2~exp4_powerpc.deb
 c202ed10e894fe229d70d7463e38847bfe8174ce 65876 fixincludes_4.3.2-2~exp4_powerpc.deb
 c776aff3e055789f0ed832dec7dc12bceac0e625 270704 lib64gfortran3_4.3.2-2~exp4_i386.deb
 c8594a6197f688b58348aa0e2970c4adcde8a7cc 83916 lib64gcc1-dbg_4.3.2-2~exp4_i386.deb
 c8c7175f7cf5610a3954b840dd1800097d6da90b 350018 libgfortran3-dbg_4.3.2-2~exp4_i386.deb
 c929c927f43b191a23f18f841ecbb20133617efe 59298 libgcc1-dbg_4.3.2-2~exp4_i386.deb
 cc47f4cc031ae259ab29408581478c4609c6366b 3397930 gobjc-4.3_4.3.2-2~exp4_powerpc.deb
 cfe5ca32f2865985ce0883ab37dc73985af609b4 285166 lib64objc2-dbg_4.3.2-2~exp4_i386.deb
 d17a30a633472bcde77c6c0239d7e8d5871b6e9b 26110 libgcc1_4.3.2-2~exp4_i386.deb
 d17f525c695653e0807eeaf546f070e89ef4d0ed 3705476 gfortran-4.3_4.3.2-2~exp4_powerpc.deb
 d22af8e61fc5855fd76d39ebbbea7f03d127dc43 50704 protoize_4.3.2-2~exp4_powerpc.deb
 d419d0235567bf51a0998d84fedd3866a7afd991 409354 lib64stdc++6_4.3.2-2~exp4_powerpc.deb
 d53172a240ab6d270fc3ca0490edb1a618e15191 77540 libmudflap0_4.3.2-2~exp4_i386.deb
 d5fb624575f354a1b7d7821de256810faccae263 2754056 gcc-4.3_4.3.2-2~exp4_i386.deb
 d7f2a2fa01eb883647f116c1d7570dd663f0809c 44384 lib64gcc1_4.3.2-2~exp4_i386.deb
 db90d345fa57d2612829129589c3e89451679623 3224764 gobjc-4.3_4.3.2-2~exp4_i386.deb
 e19e27403caa5d2bd8d091325dce7461c2073cbe 183844 gobjc-4.3-multilib_4.3.2-2~exp4_i386.deb
 ed7d1710e7a4e627d763a11b6dce31e811231778 122622 libmudflap0-dbg_4.3.2-2~exp4_i386.deb
 f4c78b00c9564d8d953293a72687dfe006f4602f 374454 libstdc++6_4.3.2-2~exp4_powerpc.deb
 f5ed92da531bf73ceb88fe79d2905d87a55f25fb 307716 gfortran-4.3-multilib_4.3.2-2~exp4_powerpc.deb
 f76d7d02882e6ff293f29344079394c987e5a819 385750 libgfortran3-dbg_4.3.2-2~exp4_powerpc.deb
 f8c477823074450670f2192a9477cd807a808e52 3091546 gcc-4.3-spu_4.3.2-2~exp4_powerpc.deb
 fcade07fbf761da2458449e188a7547e9ec35b6a 4622172 g++-4.3_4.3.2-2~exp4_powerpc.deb
Checksums-Sha256: 
 01085e93fee9da7919bc9b1357234db1019e3e444346d3e355c1f1311839a036 44384 lib64gcc1_4.3.2-2~exp4_i386.deb
 07b7e1eae94b8e1e2b8e76902469377150f83e1e557c5cdc98a08b11ecf36689 3471380 gobjc++-4.3_4.3.2-2~exp4_powerpc.deb
 08ced8920972419a353a860f4988e97c19c74aaa76c603c6db8d0dac12461dfc 26110 libgcc1_4.3.2-2~exp4_i386.deb
 0bafa277ad79dcbdf0903b9d77f5d991b69c3962b60157eece41251e0bc79b5a 213792 gcc-4.3-multilib_4.3.2-2~exp4_powerpc.deb
 0bafbb8fc8a2b35b55bce5cfe044414c9bb11162fd2ba1e162929a8b74d9387d 409354 lib64stdc++6_4.3.2-2~exp4_powerpc.deb
 122f0da0b38cf602cca1f0f241fecd953e97655e264a8cba7fa7415a644026fd 3705476 gfortran-4.3_4.3.2-2~exp4_powerpc.deb
 12587594a0e19bf343bba528af5ad819177d2a313df534b5c4a4215103df238b 3755384 gfortran-4.3-spu_4.3.2-2~exp4_powerpc.deb
 13cda504941e50e57660c315dc9091af6709e6ab7862b12eef9df8611504e5da 183844 gobjc-4.3-multilib_4.3.2-2~exp4_i386.deb
 14142833a99e3e61f6978977bea9b9bc00114a14a2ffa6ff8880ba0a6938181d 33880 libgomp1-dbg_4.3.2-2~exp4_i386.deb
 1519b8361e1693f4ca6dc83cadf7f7ea768e09505defa9051b365d4ec6481bb1 3231222 cpp-4.3_4.3.2-2~exp4_powerpc.deb
 17649ef0c0c627995c73f5a835671144d37a7fd35d534e9384aeab1d8019a524 35970 libgomp1-dbg_4.3.2-2~exp4_powerpc.deb
 1e4f02e28068142dd8dcf0576891c3f353cd865ffb1594e47e0d990d8a10a201 15060 libgomp1_4.3.2-2~exp4_powerpc.deb
 1e7d264f27aa12bb54017531b94d98423bdaa7ae0cb837fa5adbb1841e080794 59298 libgcc1-dbg_4.3.2-2~exp4_i386.deb
 1f8d1119081f998cf78fc726189054da7e01379c69b3ac5ba8e69a052dd34450 278620 libobjc2-dbg_4.3.2-2~exp4_powerpc.deb
 209bedd9a3b688ac911f3c2a343fd17ce4ddf571a3c11d1064c2a6ba681f67ed 284508 lib64gfortran3_4.3.2-2~exp4_powerpc.deb
 dbb62da96e80bfa4270ae7e02137eef5538cc5e0e3969a8db221d5fab715f73b 3593 gcc-4.3_4.3.2-2~exp4.dsc
 2340b52f68e8b85f27dcf6059d7dbf0703e381fca648e162344c72983e1856a8 1037760 g++-4.3-multilib_4.3.2-2~exp4_i386.deb
 24f640bfa20bb84649b6ba5038be8e7ae065267423ea9dc9a388377d284a26f3 228560 libgfortran3_4.3.2-2~exp4_i386.deb
 298f8661d8f059c09a33ee37065515080fae2d8e24ad6357332c97dc2efcc945 3606844 libstdc++6-4.3-dbg_4.3.2-2~exp4_i386.deb
 2d9531ddfd9fe7e40b0f58a82855ff91630aa8832d5664a7490659211010f25b 95732 lib64mudflap0_4.3.2-2~exp4_powerpc.deb
 33b1f90c116ecd64cca5e8396185647bbac6c84a0dd3974935ebae5b906e27ef 1142200 gcc-4.3_4.3.2-2~exp4.diff.gz
 356ac770563661f63a98dde39203f800e9a33c7488a3b2aa9d92ae0139195960 3397930 gobjc-4.3_4.3.2-2~exp4_powerpc.deb
 3cd9273341fa9119606d207560b3591535f17b125c4d8cc6782fb90f0c9f0fbd 17088 lib64gomp1_4.3.2-2~exp4_powerpc.deb
 4216a33f5977864d17a093b22acf772fe7f2a11640e701dd5e731bedb2c2a964 6820052 lib64stdc++6-4.3-dbg_4.3.2-2~exp4_powerpc.deb
 4227eb7d3e8e207e9b989137400ffd89d61ac917c92eb0c99af70de65d30069e 334452 lib64stdc++6_4.3.2-2~exp4_i386.deb
 457d8a6454568ad371575e4d5c3931393f4edc72a375282e7eec2615a639276c 3507166 gfortran-4.3_4.3.2-2~exp4_i386.deb
 463c435cb8907810bf92797cf8d2793462b285246c02dbf7fc5a5cf1f53580cb 3224764 gobjc-4.3_4.3.2-2~exp4_i386.deb
 4aefb671679627ebab492c080c64856059db6765d8803f5106d16d9100b987d7 270704 lib64gfortran3_4.3.2-2~exp4_i386.deb
 53486cbe766602508248ab80c5bf01f550cd57b851597d4cb9f918d300f049d3 465258 lib64gfortran3-dbg_4.3.2-2~exp4_powerpc.deb
 56870515e31524fe356754130489d44f8e2094416b02a938a9cfa23f13a43d76 651778 gcc-4.3_4.3.2-2~exp4_powerpc.deb
 572b6a6d6bf097a923267a0e722cb9195946d547ea068f137d32dd85f368c803 4906382 g++-4.3-spu_4.3.2-2~exp4_powerpc.deb
 57624397e278bd6858c1d1a8e80491b20f2dba99f443b6e9fb25048556d176d9 548180 libstdc++6-4.3-pic_4.3.2-2~exp4_powerpc.deb
 5c8897a57cf963fe9f49d6e4c67c8b5636794bb14b6d8007a89d54a9bac981d2 41742 protoize_4.3.2-2~exp4_i386.deb
 635ed159f4a12f496464ce8c83734748dc4b6bfbee0ed68fd09e4f351c6ca249 2168228 gcc-4.3-multilib_4.3.2-2~exp4_i386.deb
 693495d0c51f9113c4abf2edc1b27cea98bef8291146920a03af27433973170f 852 gobjc++-4.3-multilib_4.3.2-2~exp4_i386.deb
 6a96e19ac2df5da14607a42fdb9fc9979a63f95d751e3bbd3e158e58396b4f74 168114 libobjc2_4.3.2-2~exp4_powerpc.deb
 6b54eee84cea1e3cc3536a23a6bddecbcaccdfc1ab1c0b4cfe141420559bb19b 158704 lib64objc2_4.3.2-2~exp4_i386.deb
 6bc1dd4df5fce1e1a44498dd062b54a91f7a09951cfdd9ed5d42e86f32efaaff 104678 gcc-4.3-base_4.3.2-2~exp4_powerpc.deb
 6d46e559527232019437b982903ee373fa646a0ef43c9c31075bf59e44486d7a 46740 lib64gcc1_4.3.2-2~exp4_powerpc.deb
 6e0c1fae1bb29f687da0ae57ccb296ad8f9233993c84bcd3f654b48f7845cad9 307716 gfortran-4.3-multilib_4.3.2-2~exp4_powerpc.deb
 6eaf66c59f763cb2d9eea5104a1794d6cd29851053f64c6b98e3974dc432dcd4 1215472 g++-4.3-multilib_4.3.2-2~exp4_powerpc.deb
 6ffa9798b931b4789a920bbea6986679714b3a5bc1c793dc424b155f68138316 15490 lib64gomp1_4.3.2-2~exp4_i386.deb
 70fd5fd17ebef96800ce404bdeb31e9d1ac33530e6a3af7dbb6d56bafb183d3f 90538 libmudflap0_4.3.2-2~exp4_powerpc.deb
 74a79643b4e01aea0bb85931e99fa8fdac0bf149058875f84e5eb6a1374aeea7 149648 libobjc2_4.3.2-2~exp4_i386.deb
 76782b4c96ba0df3019f11916d79fabd7189a1f37b83799584257e552bbf5ed4 45272934 gcc-4.3-source_4.3.2-2~exp4_all.deb
 77a71685144276686989c0046724314ba62cc26c86ee04c37a5613d62567cc4e 1430066 libstdc++6-4.3-dev_4.3.2-2~exp4_powerpc.deb
 77eaa5ebb98f13b658592c6435fd40e9ad793e16f042afdf9d41da03f7d6744a 385750 libgfortran3-dbg_4.3.2-2~exp4_powerpc.deb
 7a9432fbaf4871c3a4073a8eee656c01b1ad17e86a1457fcbc66ee8d3ece5192 488394 libstdc++6-4.3-pic_4.3.2-2~exp4_i386.deb
 7b17c39544e9b09ed4c09367645aeee71308c3bbed16f7684d74632cef1a63e1 85262 lib64gcc1-dbg_4.3.2-2~exp4_powerpc.deb
 7c97a24018a842c2b4179199451a5a979919f6b0a75bec2a83d239bd44dec29e 2305438 gcc-4.3-locales_4.3.2-2~exp4_all.deb
 7d5beef4c12311478f35ea778d9fb01da810cb39edf51f916d30c7ec98568691 50704 protoize_4.3.2-2~exp4_powerpc.deb
 8754cf6237801d36bf480dc0eba0e7e3770aadc713d24eb87aa92f8fe0cf8dab 6048326 lib64stdc++6-4.3-dbg_4.3.2-2~exp4_i386.deb
 8866ab9665de7f74ddd9efe9af033faa91203772502fa0ea24d9856c693ec837 36246 lib64gomp1-dbg_4.3.2-2~exp4_powerpc.deb
 8a8f121d99e305b17ada6e43dbcf88f030e16973b99bd34097a324f75cadf8ff 10077206 libstdc++6-4.3-doc_4.3.2-2~exp4_all.deb
 8c73a110f96d8affaff29bd79d53c6606cf2557fc1cb8d5c139b2c222330c60e 34892 lib64gomp1-dbg_4.3.2-2~exp4_i386.deb
 8e329f0afceec13e20391a8bf13389bc4d9818098acf6eb4033a246f393581c5 182494 lib64objc2_4.3.2-2~exp4_powerpc.deb
 953cf4f10d3c16bcba51f0ab205b155d749d1d0cfd5839a912a4a6415d75a3a9 104024 gcc-4.3-base_4.3.2-2~exp4_i386.deb
 9f64241d9e3c55381f92afbad9c89ab876dba635c404fb69400b4d3090178f98 4490146 g++-4.3_4.3.2-2~exp4_i386.deb
 a3dd12844d74672f779cb9f9456ed29ad34c29cd26adf9ee2baad29b08b85f3e 122622 libmudflap0-dbg_4.3.2-2~exp4_i386.deb
 a45d3bc31c05b6f9d3a723699c41d78a5fe52f8a40319567b43b2fb42e7d55d7 4622172 g++-4.3_4.3.2-2~exp4_powerpc.deb
 a59bfab99933a30daf76a8d671e97095d462f8abe880284aefd94510f2be5a3f 96008 lib64mudflap0_4.3.2-2~exp4_i386.deb
 a81e605810442d6351f0f7040adab7801bc71a81ab7fd0f399b0d7a73ba79bd6 208748 libmudflap0-4.3-dev_4.3.2-2~exp4_i386.deb
 a912744bbbb5333580d5377e88e9d30bb0285dace8f10c170519ff2ba32e922f 65876 fixincludes_4.3.2-2~exp4_powerpc.deb
 ae64270640ac0e1590647d79e7ab1bba6e31ad38ca0e123d92f13391a2c9d97b 204530 gobjc-4.3-multilib_4.3.2-2~exp4_powerpc.deb
 b0f7305c4dfe4947feae98b99ba787df55a9d316ab2e753c4a2a6a106f15fc3f 232938 libgfortran3_4.3.2-2~exp4_powerpc.deb
 b2f5fd4b81cecca9e7b90eb0e6374df580560ba21911f817382cd431e1b035a5 135226 lib64mudflap0-dbg_4.3.2-2~exp4_powerpc.deb
 b5173207d5d69e4cc2c90b1403cabde64183ca0e7f73ab5addf5177e3864ca59 77540 libmudflap0_4.3.2-2~exp4_i386.deb
 b9c8fc1dfc5476257d048cd0395b1a23e5fee1a9a5530e59148a1ce36d541816 3982866 libstdc++6-4.3-dbg_4.3.2-2~exp4_powerpc.deb
 bac6a6346f727ce76e3a9942e4387530e78d7e34488b4cedf57894895da7219e 2754056 gcc-4.3_4.3.2-2~exp4_i386.deb
 c061de63135ad6d6f2ae44218a3be8d05a0182cff95e42670b743979c280a207 3314238 gobjc++-4.3_4.3.2-2~exp4_i386.deb
 c5cc79fd1c9fdbad1a29d1bd0d067c52c7665dc8fe758f9d0226180088485fe4 13246 libgomp1_4.3.2-2~exp4_i386.deb
 c881472d69907a89ecf2a5ebe77b8ed99225ff57f537d2f1d22afb08f44066ad 374454 libstdc++6_4.3.2-2~exp4_powerpc.deb
 cd3c528cf38f655c001991bd69d8e400a1f8d25de05bdbe9103984916bda3289 858 gobjc++-4.3-multilib_4.3.2-2~exp4_powerpc.deb
 cf97ef3fcd41aa0701b6e43250304f355b6575b571e41c0037c5fe5735923676 467740 lib64gfortran3-dbg_4.3.2-2~exp4_i386.deb
 d1261b4377ac4520c426b662253dd467bacf087a90c4093232ad8aa6cd10662b 81574 libgcc1-dbg_4.3.2-2~exp4_powerpc.deb
 d39ffce6cfbfecc76e49b79127bbde207051410e723a29bb60080f4802addeee 350018 libgfortran3-dbg_4.3.2-2~exp4_i386.deb
 d61d5583686f865d821f5879e76894f290797a90634cb5028a6658bb7b754770 42672 libgcc1_4.3.2-2~exp4_powerpc.deb
 d7ab39def659918b96618aba82ae30f0ce3389295d136fdd7f683c55b360b8a0 3087274 cpp-4.3_4.3.2-2~exp4_i386.deb
 e408993c5cfe9b6826e9e2b3e1ba8f1f16c91c5f854b3dc00297801980f679eb 131888 libmudflap0-dbg_4.3.2-2~exp4_powerpc.deb
 e59bcc5a931f2657d03a442c5c0f8c809b5f7eb73302562724dff6958daa1508 305550 gfortran-4.3-multilib_4.3.2-2~exp4_i386.deb
 e60b068794880a83f9ed12b85858af95512a29987bc484e3e40225469b0db16d 62976 fixincludes_4.3.2-2~exp4_i386.deb
 e70e6a6d36ba15f63e79fe6863943bc09fadbda796dcc12d75e6bde85f86e5ea 1388918 libstdc++6-4.3-dev_4.3.2-2~exp4_i386.deb
 ef3a6cec027f6fb6acdc084dd6505278a9eeca4330fefec08bae1ec7e6b4bc3b 283596 lib64objc2-dbg_4.3.2-2~exp4_powerpc.deb
 f6dc6fec9882a51f1b59f2f630417874cd4d952dc984750732aae0b7fd512741 285166 lib64objc2-dbg_4.3.2-2~exp4_i386.deb
 f751af08148a5b122bc3c22fec4a746899c12fad4cdf9ed8dbf9288138559944 271146 libobjc2-dbg_4.3.2-2~exp4_i386.deb
 f951ae9150ad434e1402350f5ad890a8ebd8bc350f2a0f0664860edcb2086852 127580 lib64mudflap0-dbg_4.3.2-2~exp4_i386.deb
 fad7b1a96e6f91c7bc931180de215e59be236e0d092316f47f321e963a0f06c9 235568 libmudflap0-4.3-dev_4.3.2-2~exp4_powerpc.deb
 fcd924151b7bd252c9558e2c962fb3b5f104c2c3414c4f622c77723aa5bdacc1 332272 libstdc++6_4.3.2-2~exp4_i386.deb
 fe8d80cc56f50441f75e983fccfccabb2bb00bc958945ffb11d879d932981773 3091546 gcc-4.3-spu_4.3.2-2~exp4_powerpc.deb
 ff5d9f7772e8030b268c159c5a9e2de50a222918728991472883d2c4767ae926 83916 lib64gcc1-dbg_4.3.2-2~exp4_i386.deb
Files: 
 049f0ae7097d5f508d662af152fa7a72 46740 libs optional lib64gcc1_4.3.2-2~exp4_powerpc.deb
 05275483c7d3633f7eb72a0bde0ca3a5 334452 libs optional lib64stdc++6_4.3.2-2~exp4_i386.deb
 06563cae0633be354d0d66552c99dd4a 374454 libs required libstdc++6_4.3.2-2~exp4_powerpc.deb
 06c58ffe3343116406dfb37f7d9bdcd2 42672 libs required libgcc1_4.3.2-2~exp4_powerpc.deb
 070bd4c0eebf414f5c1eae22d2819d9d 3471380 devel optional gobjc++-4.3_4.3.2-2~exp4_powerpc.deb
 07bc4a05351a216f990fb57a5eb35d84 35970 libdevel extra libgomp1-dbg_4.3.2-2~exp4_powerpc.deb
 09f835d7ea9a6f7289582a74f04d103e 2305438 devel optional gcc-4.3-locales_4.3.2-2~exp4_all.deb
 0ac8c65a6cc04b3bdf31c9d2bf3aa4fc 651778 devel optional gcc-4.3_4.3.2-2~exp4_powerpc.deb
 0b343ebdc646b16c82f232bc453760ab 6820052 libdevel extra lib64stdc++6-4.3-dbg_4.3.2-2~exp4_powerpc.deb
 0b9b75d6e90dae0b77471bd417c54c7e 77540 libs optional libmudflap0_4.3.2-2~exp4_i386.deb
 0c200372e4f4b12cf06e9792b7b69a78 81574 libdevel extra libgcc1-dbg_4.3.2-2~exp4_powerpc.deb
 10e2f5d066e8f3b37096bb0ff40022e3 36246 libdevel extra lib64gomp1-dbg_4.3.2-2~exp4_powerpc.deb
 13b079f01b0e5149644da53b8deb6fc9 182494 libs optional lib64objc2_4.3.2-2~exp4_powerpc.deb
 14bfd7bdbeaf0aedb9f5561b8696ae80 34892 libdevel extra lib64gomp1-dbg_4.3.2-2~exp4_i386.deb
 14d267b66d503aef2541c0a18de3b7b7 548180 libdevel extra libstdc++6-4.3-pic_4.3.2-2~exp4_powerpc.deb
 1510d36f6627c70682914958772fa8e2 283596 libdevel extra lib64objc2-dbg_4.3.2-2~exp4_powerpc.deb
 202a90380f87d4ec1fb9aad58ef02ce4 284508 libs optional lib64gfortran3_4.3.2-2~exp4_powerpc.deb
 2dc8123e27bd80bfaa091ac7233be79a 467740 libdevel extra lib64gfortran3-dbg_4.3.2-2~exp4_i386.deb
 2e02d4b9fc97929e70a633ccbcb80936 271146 libdevel extra libobjc2-dbg_4.3.2-2~exp4_i386.deb
 2e45c8cdcf6a87f09538990f72bc8692 3755384 devel optional gfortran-4.3-spu_4.3.2-2~exp4_powerpc.deb
 32246379a6f74168652da2c6e83fcad7 10077206 doc optional libstdc++6-4.3-doc_4.3.2-2~exp4_all.deb
 322d64d7198479f1d4468d29b9199ce1 1037760 devel optional g++-4.3-multilib_4.3.2-2~exp4_i386.deb
 35f8ebeb3b149b524248f858f9a79bb9 852 devel optional gobjc++-4.3-multilib_4.3.2-2~exp4_i386.deb
 36cc5263725a6a03bff3f380b25e5b24 4490146 devel optional g++-4.3_4.3.2-2~exp4_i386.deb
 3bbbe564129a1ade341820639ec89c3d 96008 libs optional lib64mudflap0_4.3.2-2~exp4_i386.deb
 3bc81d5a862717aedaf4ffbfeb74a252 350018 libdevel extra libgfortran3-dbg_4.3.2-2~exp4_i386.deb
 3d1e3e770fb69e6a79a542edd2b5a8f0 104678 libs required gcc-4.3-base_4.3.2-2~exp4_powerpc.deb
 3d90684907e1f81983f7816f4267a4db 3705476 devel optional gfortran-4.3_4.3.2-2~exp4_powerpc.deb
 3fac9a17e7dce5a3e7bd2236e8124af4 15490 libs optional lib64gomp1_4.3.2-2~exp4_i386.deb
 4009efee6fb5cfc05842a6af9052e131 3982866 libdevel extra libstdc++6-4.3-dbg_4.3.2-2~exp4_powerpc.deb
 41053245e68ddf89be22f136e884b1b1 332272 libs required libstdc++6_4.3.2-2~exp4_i386.deb
 42679f59a71406ae08ed84a8bc45a0d5 131888 libdevel extra libmudflap0-dbg_4.3.2-2~exp4_powerpc.deb
 429b215bf1f6165f25e60c24d4662b1c 85262 libdevel extra lib64gcc1-dbg_4.3.2-2~exp4_powerpc.deb
 44864e37225c95742727fd6fb1751d58 2754056 devel optional gcc-4.3_4.3.2-2~exp4_i386.deb
 483158242e8a19c956387ce40f75391e 1430066 libdevel optional libstdc++6-4.3-dev_4.3.2-2~exp4_powerpc.deb
 4bd37be299fe9f9d17e58b7ce8cab9e0 307716 devel optional gfortran-4.3-multilib_4.3.2-2~exp4_powerpc.deb
 502963883bd230c24e23a61adf38e370 50704 devel optional protoize_4.3.2-2~exp4_powerpc.deb
 585186c202b585848309ca962050a18f 45272934 devel optional gcc-4.3-source_4.3.2-2~exp4_all.deb
 597ca1497ca6f8f251cbb77a4c2dd75a 122622 libdevel extra libmudflap0-dbg_4.3.2-2~exp4_i386.deb
 5b0251a451e1225ed6551e3568b74fb5 44384 libs optional lib64gcc1_4.3.2-2~exp4_i386.deb
 5ddf05ce52c2aab8dcd699bc65842596 41742 devel optional protoize_4.3.2-2~exp4_i386.deb
 5ef6228b79eaa64ed4c05d5d43c86273 3091546 devel optional gcc-4.3-spu_4.3.2-2~exp4_powerpc.deb
 69d1d658bb78d834a12ec10eff0c39b2 4622172 devel optional g++-4.3_4.3.2-2~exp4_powerpc.deb
 6b871948e22a8d4dfe5f0d1c6438666d 65876 devel optional fixincludes_4.3.2-2~exp4_powerpc.deb
 76dd926e42ca102c6b250eeb431d52e1 3314238 devel optional gobjc++-4.3_4.3.2-2~exp4_i386.deb
 7791dca6583b8d4f2b73bbb3c17eb9ce 1215472 devel optional g++-4.3-multilib_4.3.2-2~exp4_powerpc.deb
 7b3ae3b2c9787d4abfa256b8aca64d88 213792 devel optional gcc-4.3-multilib_4.3.2-2~exp4_powerpc.deb
 7ca3862f78fded694988a2d640662b38 4906382 devel optional g++-4.3-spu_4.3.2-2~exp4_powerpc.deb
 7d4cdd4d6e1eac4857c517940e030cef 149648 libs optional libobjc2_4.3.2-2~exp4_i386.deb
 813da8eac3fd9174d864082a7e0bafd2 62976 devel optional fixincludes_4.3.2-2~exp4_i386.deb
 83dd71ff0f6f3b51610ec8fef2008e37 127580 libdevel extra lib64mudflap0-dbg_4.3.2-2~exp4_i386.deb
 8535bbc95e56fe34c320c3e15a45af75 235568 libdevel optional libmudflap0-4.3-dev_4.3.2-2~exp4_powerpc.deb
 86fe68ce818f50c7cbeafd2e1ea5ffba 858 devel optional gobjc++-4.3-multilib_4.3.2-2~exp4_powerpc.deb
 8c1a1cba6fe67cdeacf1dde248db70ae 3507166 devel optional gfortran-4.3_4.3.2-2~exp4_i386.deb
 8fb65428421a5aa3739ec53ec7ae0fe3 2168228 devel optional gcc-4.3-multilib_4.3.2-2~exp4_i386.deb
 90b1f1aace48ee1d2ef9bc69aa0a83e0 409354 libs optional lib64stdc++6_4.3.2-2~exp4_powerpc.deb
 96fcb2ed6026426162e75c73876a6e2e 104024 libs required gcc-4.3-base_4.3.2-2~exp4_i386.deb
 733621eee2b6d79d2f4acaf79a2ed272 3593 devel optional gcc-4.3_4.3.2-2~exp4.dsc
 9d49c70665b6b3866c2d7b57082942b8 385750 libdevel extra libgfortran3-dbg_4.3.2-2~exp4_powerpc.deb
 9f1b0ef1cb956ee58d26f568e56a5190 3606844 libdevel extra libstdc++6-4.3-dbg_4.3.2-2~exp4_i386.deb
 a55e2101313cff369f831ba9abc78479 270704 libs optional lib64gfortran3_4.3.2-2~exp4_i386.deb
 ab70df9484e8eba69f9321808b8cb877 204530 devel optional gobjc-4.3-multilib_4.3.2-2~exp4_powerpc.deb
 af93d21e006f246b09c704530b67422b 278620 libdevel extra libobjc2-dbg_4.3.2-2~exp4_powerpc.deb
 b67176c72806493f5e4c1aa56cddaf63 33880 libdevel extra libgomp1-dbg_4.3.2-2~exp4_i386.deb
 b777cd737e8708802980f1b080ec390d 465258 libdevel extra lib64gfortran3-dbg_4.3.2-2~exp4_powerpc.deb
 b82a4e96d69068c5883c38ffa151a49b 90538 libs optional libmudflap0_4.3.2-2~exp4_powerpc.deb
 b8a59bdb96d2fc8e57a979435138aa6d 6048326 libdevel extra lib64stdc++6-4.3-dbg_4.3.2-2~exp4_i386.deb
 bd512fa359dc2ae8054d888b6c37ef8b 208748 libdevel optional libmudflap0-4.3-dev_4.3.2-2~exp4_i386.deb
 c102777cff71d892215d26eb9d52f602 26110 libs required libgcc1_4.3.2-2~exp4_i386.deb
 c2a73ae1dea48ce7be9034853f6ead26 59298 libdevel extra libgcc1-dbg_4.3.2-2~exp4_i386.deb
 c6b77ccdcbe6cfaa549d09c59e62ad01 13246 libs optional libgomp1_4.3.2-2~exp4_i386.deb
 ca208818f20596dce4637dbe7bebe686 3224764 devel optional gobjc-4.3_4.3.2-2~exp4_i386.deb
 ca3fe0e38e3dd309414044e95bb0ace6 158704 libs optional lib64objc2_4.3.2-2~exp4_i386.deb
 cb64f2b55102ea08965b62aa16c7496e 135226 libdevel extra lib64mudflap0-dbg_4.3.2-2~exp4_powerpc.deb
 cb9a6ea1675c5e3df5fdae8d3812dc95 228560 libs optional libgfortran3_4.3.2-2~exp4_i386.deb
 d48d6f0690b9b3325e3b4be770ae644b 183844 devel optional gobjc-4.3-multilib_4.3.2-2~exp4_i386.deb
 dc26b67a0847cb6bde65be5988bd0f34 488394 libdevel extra libstdc++6-4.3-pic_4.3.2-2~exp4_i386.deb
 dc8cecb7d227c46d0947eab4bfc97d92 15060 libs optional libgomp1_4.3.2-2~exp4_powerpc.deb
 dce788a17cbabb4b8a68f5bf7e60804f 3397930 devel optional gobjc-4.3_4.3.2-2~exp4_powerpc.deb
 e038bd2b2285211a485fba5068fe9e71 168114 libs optional libobjc2_4.3.2-2~exp4_powerpc.deb
 e5cb0fe53049058c0957f3303c377371 3231222 interpreters optional cpp-4.3_4.3.2-2~exp4_powerpc.deb
 ed767b921446cdf70fc7ddae687cb1e6 3087274 interpreters optional cpp-4.3_4.3.2-2~exp4_i386.deb
 ef78bf37ea19f41dc020ce77449164bf 1388918 libdevel optional libstdc++6-4.3-dev_4.3.2-2~exp4_i386.deb
 f0af328bd0e1041eb7d2a19abd8d383f 95732 libs optional lib64mudflap0_4.3.2-2~exp4_powerpc.deb
 f220948f24cd6f22e6642687ee36651c 83916 libdevel extra lib64gcc1-dbg_4.3.2-2~exp4_i386.deb
 f2dcaa4dabe04c2d2cf13e73270c6040 1142200 devel optional gcc-4.3_4.3.2-2~exp4.diff.gz
 f3029d25f60be7ff132e2ae62800c0bf 305550 devel optional gfortran-4.3-multilib_4.3.2-2~exp4_i386.deb
 f5eab0c4d99d37d18f88c1f95fc1090c 17088 libs optional lib64gomp1_4.3.2-2~exp4_powerpc.deb
 f7f151c96bdcfd36056c9aa4799aadb6 285166 libdevel extra lib64objc2-dbg_4.3.2-2~exp4_i386.deb
 ffb9dac7b0b6bc21022a919a9d41bcef 232938 libs optional libgfortran3_4.3.2-2~exp4_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkzlEkACgkQStlRaw+TLJyqywCgw7KCujhwgKGOOpEkGJkFtQVW
HwgAnR87EURjNpTvbM2taAo9d0h4x8d2
=Vn9w
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#506713; Package g++-4.3. (Fri, 12 Dec 2008 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Max Dmitrichenko" <dmitrmax@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Fri, 12 Dec 2008 12:51:03 GMT) Full text and rfc822 format available.

Message #38 received at 506713@bugs.debian.org (full text, mbox):

From: "Max Dmitrichenko" <dmitrmax@gmail.com>
To: "Ben Hutchings" <ben@decadent.org.uk>, 506713@bugs.debian.org
Subject: Will the fix go to lenny?
Date: Fri, 12 Dec 2008 15:45:03 +0300
Ok. Seems that bug is fixed in experimental. Two questions.

1) Will this version be uploaded to unstable and then to testing
before lenny is released?

2) According to Ben, any library on SPARC is a subject to this bug. I
think it is rather hard to create a list of libraries which have
functions which return structures and refer to the global data. So,
potentially every library can suffer from this. Will all libraries be
recompiled due to this bug?

P.S.: Please add me on the CC-list for further messages.




Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Fri, 02 Jan 2009 03:39:02 GMT) Full text and rfc822 format available.

Notification sent to Ben Hutchings <ben@decadent.org.uk>:
Bug acknowledged by developer. (Fri, 02 Jan 2009 03:39:02 GMT) Full text and rfc822 format available.

Message #43 received at 506713-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 506713-close@bugs.debian.org
Subject: Bug#506713: fixed in gcc-4.3 4.3.2-1.1
Date: Fri, 02 Jan 2009 03:32:16 +0000
Source: gcc-4.3
Source-Version: 4.3.2-1.1

We believe that the bug you reported is fixed in the latest version of
gcc-4.3, which is due to be installed in the Debian FTP archive:

cpp-4.3_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/cpp-4.3_4.3.2-1.1_i386.deb
fixincludes_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/fixincludes_4.3.2-1.1_i386.deb
g++-4.3-multilib_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/g++-4.3-multilib_4.3.2-1.1_i386.deb
g++-4.3_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/g++-4.3_4.3.2-1.1_i386.deb
gcc-4.3-base_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/gcc-4.3-base_4.3.2-1.1_i386.deb
gcc-4.3-locales_4.3.2-1.1_all.deb
  to pool/main/g/gcc-4.3/gcc-4.3-locales_4.3.2-1.1_all.deb
gcc-4.3-multilib_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/gcc-4.3-multilib_4.3.2-1.1_i386.deb
gcc-4.3-source_4.3.2-1.1_all.deb
  to pool/main/g/gcc-4.3/gcc-4.3-source_4.3.2-1.1_all.deb
gcc-4.3_4.3.2-1.1.diff.gz
  to pool/main/g/gcc-4.3/gcc-4.3_4.3.2-1.1.diff.gz
gcc-4.3_4.3.2-1.1.dsc
  to pool/main/g/gcc-4.3/gcc-4.3_4.3.2-1.1.dsc
gcc-4.3_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/gcc-4.3_4.3.2-1.1_i386.deb
gfortran-4.3-multilib_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/gfortran-4.3-multilib_4.3.2-1.1_i386.deb
gfortran-4.3_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/gfortran-4.3_4.3.2-1.1_i386.deb
gobjc++-4.3-multilib_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/gobjc++-4.3-multilib_4.3.2-1.1_i386.deb
gobjc++-4.3_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/gobjc++-4.3_4.3.2-1.1_i386.deb
gobjc-4.3-multilib_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/gobjc-4.3-multilib_4.3.2-1.1_i386.deb
gobjc-4.3_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/gobjc-4.3_4.3.2-1.1_i386.deb
lib64gcc1-dbg_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/lib64gcc1-dbg_4.3.2-1.1_i386.deb
lib64gcc1_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/lib64gcc1_4.3.2-1.1_i386.deb
lib64gfortran3-dbg_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/lib64gfortran3-dbg_4.3.2-1.1_i386.deb
lib64gfortran3_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/lib64gfortran3_4.3.2-1.1_i386.deb
lib64gomp1-dbg_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/lib64gomp1-dbg_4.3.2-1.1_i386.deb
lib64gomp1_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/lib64gomp1_4.3.2-1.1_i386.deb
lib64mudflap0-dbg_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/lib64mudflap0-dbg_4.3.2-1.1_i386.deb
lib64mudflap0_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/lib64mudflap0_4.3.2-1.1_i386.deb
lib64objc2-dbg_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/lib64objc2-dbg_4.3.2-1.1_i386.deb
lib64objc2_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/lib64objc2_4.3.2-1.1_i386.deb
lib64stdc++6-4.3-dbg_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/lib64stdc++6-4.3-dbg_4.3.2-1.1_i386.deb
lib64stdc++6_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/lib64stdc++6_4.3.2-1.1_i386.deb
libgcc1-dbg_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/libgcc1-dbg_4.3.2-1.1_i386.deb
libgcc1_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/libgcc1_4.3.2-1.1_i386.deb
libgfortran3-dbg_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/libgfortran3-dbg_4.3.2-1.1_i386.deb
libgfortran3_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/libgfortran3_4.3.2-1.1_i386.deb
libgomp1-dbg_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/libgomp1-dbg_4.3.2-1.1_i386.deb
libgomp1_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/libgomp1_4.3.2-1.1_i386.deb
libmudflap0-4.3-dev_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/libmudflap0-4.3-dev_4.3.2-1.1_i386.deb
libmudflap0-dbg_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/libmudflap0-dbg_4.3.2-1.1_i386.deb
libmudflap0_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/libmudflap0_4.3.2-1.1_i386.deb
libobjc2-dbg_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/libobjc2-dbg_4.3.2-1.1_i386.deb
libobjc2_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/libobjc2_4.3.2-1.1_i386.deb
libstdc++6-4.3-dbg_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/libstdc++6-4.3-dbg_4.3.2-1.1_i386.deb
libstdc++6-4.3-dev_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/libstdc++6-4.3-dev_4.3.2-1.1_i386.deb
libstdc++6-4.3-doc_4.3.2-1.1_all.deb
  to pool/main/g/gcc-4.3/libstdc++6-4.3-doc_4.3.2-1.1_all.deb
libstdc++6-4.3-pic_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/libstdc++6-4.3-pic_4.3.2-1.1_i386.deb
libstdc++6_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/libstdc++6_4.3.2-1.1_i386.deb
protoize_4.3.2-1.1_i386.deb
  to pool/main/g/gcc-4.3/protoize_4.3.2-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 506713@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-4.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 31 Dec 2008 09:38:56 +0100
Source: gcc-4.3
Binary: gcc-4.3-base libgcc1 libgcc1-dbg libgcc2 libgcc2-dbg libgcc4 libgcc4-dbg lib64gcc1 lib64gcc1-dbg lib32gcc1 lib32gcc1-dbg libn32gcc1 libn32gcc1-dbg gcc-4.3 gcc-4.3-multilib gcc-4.3-hppa64 gcc-4.3-spu g++-4.3-spu gfortran-4.3-spu cpp-4.3 gcc-4.3-locales g++-4.3 g++-4.3-multilib libmudflap0 libmudflap0-dbg lib32mudflap0 lib32mudflap0-dbg lib64mudflap0 lib64mudflap0-dbg libn32mudflap0 libn32mudflap0-dbg libmudflap0-4.3-dev libgomp1 libgomp1-dbg lib32gomp1 lib32gomp1-dbg lib64gomp1 lib64gomp1-dbg libn32gomp1 libn32gomp1-dbg protoize gobjc++-4.3 gobjc++-4.3-multilib gobjc-4.3 gobjc-4.3-multilib libobjc2 libobjc2-dbg lib64objc2 lib64objc2-dbg lib32objc2 lib32objc2-dbg libn32objc2 libn32objc2-dbg gfortran-4.3 gfortran-4.3-multilib libgfortran3 libgfortran3-dbg lib64gfortran3 lib64gfortran3-dbg lib32gfortran3 lib32gfortran3-dbg libn32gfortran3 libn32gfortran3-dbg libstdc++6 lib32stdc++6 lib64stdc++6 libn32stdc++6 libstdc++6-4.3-dev libstdc++6-4.3-pic libstdc++6-4.3-dbg lib32stdc++6-4.3-dbg lib64stdc++6-4.3-dbg libn32stdc++6-4.3-dbg libstdc++6-4.3-doc gcc-4.3-soft-float fixincludes gcc-4.3-source
Architecture: source all i386
Version: 4.3.2-1.1
Distribution: unstable
Urgency: medium
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-4.3    - The GNU C preprocessor
 fixincludes - Fix non-ANSI header files
 g++-4.3    - The GNU C++ compiler
 g++-4.3-multilib - The GNU C++ compiler (multilib files)
 g++-4.3-spu - SPU cross-compiler (C++ compiler)
 gcc-4.3    - The GNU C compiler
 gcc-4.3-base - The GNU Compiler Collection (base package)
 gcc-4.3-hppa64 - The GNU C compiler (cross compiler for hppa64)
 gcc-4.3-locales - The GNU C compiler (native language support files)
 gcc-4.3-multilib - The GNU C compiler (multilib files)
 gcc-4.3-soft-float - The soft-floating-point gcc libraries (arm)
 gcc-4.3-source - Source of the GNU Compiler Collection
 gcc-4.3-spu - SPU cross-compiler (preprocessor and C compiler)
 gfortran-4.3 - The GNU Fortran 95 compiler
 gfortran-4.3-multilib - The GNU Fortran 95 compiler (multilib files)
 gfortran-4.3-spu - SPU cross-compiler (Fortran compiler)
 gobjc++-4.3 - The GNU Objective-C++ compiler
 gobjc++-4.3-multilib - The GNU Objective-C++ compiler (multilib files)
 gobjc-4.3  - The GNU Objective-C compiler
 gobjc-4.3-multilib - The GNU Objective-C compiler (multilib files)
 lib32gcc1  - GCC support library (32 bit Version)
 lib32gcc1-dbg - GCC support library (debug symbols)
 lib32gfortran3 - Runtime library for GNU Fortran applications (32bit)
 lib32gfortran3-dbg - Runtime library for GNU Fortran applications (32 bit debug symbol
 lib32gomp1 - GCC OpenMP (GOMP) support library (32bit)
 lib32gomp1-dbg - GCC OpenMP (GOMP) support library (32 bit debug symbols)
 lib32mudflap0 - GCC mudflap shared support libraries (32bit)
 lib32mudflap0-dbg - GCC mudflap shared support libraries (32 bit debug symbols)
 lib32objc2 - Runtime library for GNU Objective-C applications (32bit)
 lib32objc2-dbg - Runtime library for GNU Objective-C applications (32 bit debug sy
 lib32stdc++6 - The GNU Standard C++ Library v3 (32 bit Version)
 lib32stdc++6-4.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 lib64gcc1  - GCC support library (64bit)
 lib64gcc1-dbg - GCC support library (debug symbols)
 lib64gfortran3 - Runtime library for GNU Fortran applications (64bit)
 lib64gfortran3-dbg - Runtime library for GNU Fortran applications (64bit debug symbols
 lib64gomp1 - GCC OpenMP (GOMP) support library (64bit)
 lib64gomp1-dbg - GCC OpenMP (GOMP) support library (64bit debug symbols)
 lib64mudflap0 - GCC mudflap shared support libraries (64bit)
 lib64mudflap0-dbg - GCC mudflap shared support libraries (64 bit debug symbols)
 lib64objc2 - Runtime library for GNU Objective-C applications (64bit)
 lib64objc2-dbg - Runtime library for GNU Objective-C applications (64 bit debug sy
 lib64stdc++6 - The GNU Standard C++ Library v3 (64bit)
 lib64stdc++6-4.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libgcc1    - GCC support library
 libgcc1-dbg - GCC support library (debug symbols)
 libgcc2    - GCC support library
 libgcc2-dbg - GCC support library (debug symbols)
 libgcc4    - GCC support library
 libgcc4-dbg - GCC support library (debug symbols)
 libgfortran3 - Runtime library for GNU Fortran applications
 libgfortran3-dbg - Runtime library for GNU Fortran applications (debug symbols)
 libgomp1   - GCC OpenMP (GOMP) support library
 libgomp1-dbg - GCC OpenMP (GOMP) support library (debug symbols)
 libmudflap0 - GCC mudflap shared support libraries
 libmudflap0-4.3-dev - GCC mudflap support libraries (development files)
 libmudflap0-dbg - GCC mudflap shared support libraries (debug symbols)
 libn32gcc1 - GCC support library (n32)
 libn32gcc1-dbg - GCC support library (debug symbols)
 libn32gfortran3 - Runtime library for GNU Fortran applications (n32)
 libn32gfortran3-dbg - Runtime library for GNU Fortran applications (n32 debug symbols)
 libn32gomp1 - GCC OpenMP (GOMP) support library (n32)
 libn32gomp1-dbg - GCC OpenMP (GOMP) support library (n32 debug symbols)
 libn32mudflap0 - GCC mudflap shared support libraries (n32)
 libn32mudflap0-dbg - GCC mudflap shared support libraries (n32 debug symbols)
 libn32objc2 - Runtime library for GNU Objective-C applications (n32)
 libn32objc2-dbg - Runtime library for GNU Objective-C applications (n32 debug symbo
 libn32stdc++6 - The GNU Standard C++ Library v3 (n32)
 libn32stdc++6-4.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libobjc2   - Runtime library for GNU Objective-C applications
 libobjc2-dbg - Runtime library for GNU Objective-C applications (debug symbols)
 libstdc++6 - The GNU Standard C++ Library v3
 libstdc++6-4.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++6-4.3-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++6-4.3-doc - The GNU Standard C++ Library v3 (documentation files)
 libstdc++6-4.3-pic - The GNU Standard C++ Library v3 (shared library subset kit)
 protoize   - Create/remove ANSI prototypes from C code
Closes: 506713
Changes: 
 gcc-4.3 (4.3.2-1.1) unstable; urgency=medium
 .
   * debian/patches/libobjc-armel.dpatch: Don't define EH_USES, apply
     r142204 for armel, taken from the gcc-4_3-branch.
   * Fix PR target/38287 (sparc, wrong code). Closes: #506713.
   * Apply selected fixes from the gcc-4_3-branch:
     - Fix PR tree-optimization/37102 (wrong code).
     - Fix PR tree-optimization/37868 (wrong code).
     - Fix PR rtl-optimization/37544 (wrong code).
     - Fix PR c++/38030 (wrong code).
     - Fix PR rtl-optimization/37489 (wrong code).
     - Fix PR rtl-optimization/37408 (wrong code).
     - Fix PR middle-end/37731 (wrong code).
     - Fix PR middle-end/37882 (wrong code).
Checksums-Sha1: 
 7cdb0efeba73f3562f78f23d74d2602067976823 3578 gcc-4.3_4.3.2-1.1.dsc
 a3dfe2b464d93eafe0bf2784cfc311ebc1ee94a5 723458 gcc-4.3_4.3.2-1.1.diff.gz
 41311a060e8ee73669a87429df4d74f4d683a647 44859588 gcc-4.3-source_4.3.2-1.1_all.deb
 798d11b562f72c26fc4aeb43f149db589dfad249 10083334 libstdc++6-4.3-doc_4.3.2-1.1_all.deb
 46705356685d6760781074ce865454aa5c8a7160 2052636 gcc-4.3-locales_4.3.2-1.1_all.deb
 fe63faad76eb3805ba353c6212bff566f8b8028d 103374 gcc-4.3-base_4.3.2-1.1_i386.deb
 1903a4d87933e4d9d05dba7d68e43a974ba54d4d 25756 libgcc1_4.3.2-1.1_i386.deb
 f2db8e0f74d2fe5d6e9e385c430a561156e27bd5 58180 libgcc1-dbg_4.3.2-1.1_i386.deb
 9e2fcd87b3b32f599bcedc567d8488ae54631466 44044 lib64gcc1_4.3.2-1.1_i386.deb
 68b98000d53a0dc301ede86fa96297d80094fce2 82956 lib64gcc1-dbg_4.3.2-1.1_i386.deb
 dc7f9af2ffc11ebb14c4480c9b4bd7ada669d8f1 13248 libgomp1_4.3.2-1.1_i386.deb
 a115428a5680d09fee2f9441b6f6ba965944432e 33852 libgomp1-dbg_4.3.2-1.1_i386.deb
 aa2dde000f24c4b642c247f1b12ce553e5b7ce8e 15494 lib64gomp1_4.3.2-1.1_i386.deb
 b45c1a0c2ba9745a9f41b097a82c6ecb081c0efd 34850 lib64gomp1-dbg_4.3.2-1.1_i386.deb
 02f2ac6b75cfe77f7380dfdf1d6066c5f1ee7ebe 3087432 cpp-4.3_4.3.2-1.1_i386.deb
 5adef025c75586db9fd7c2e8bb9118b99a916ca2 41716 protoize_4.3.2-1.1_i386.deb
 e8419442f2376e2d79cf522366f85639a7605ca0 62960 fixincludes_4.3.2-1.1_i386.deb
 2f9fa29506bd90901e6152efd20c154069abfd5c 208520 libmudflap0-4.3-dev_4.3.2-1.1_i386.deb
 806ed0fa2882331a48400ed8fe49e986b776d3b8 77568 libmudflap0_4.3.2-1.1_i386.deb
 1b60beed355110d4f0e4068f609dafdbe13061fe 122568 libmudflap0-dbg_4.3.2-1.1_i386.deb
 292cd9badf4a518ec562cb4f11af7bde86b7016d 95984 lib64mudflap0_4.3.2-1.1_i386.deb
 c4b19633928c18029ebd31a51750701f8cfbb255 127534 lib64mudflap0-dbg_4.3.2-1.1_i386.deb
 f956b807c37e3403920448d9fd97090e3d596095 852 gobjc++-4.3-multilib_4.3.2-1.1_i386.deb
 f42d4717709b0223649c963a0fae1b0ced9a619e 3314788 gobjc++-4.3_4.3.2-1.1_i386.deb
 835402c844824cb7b33210e33f80fa68e3ce22ef 183788 gobjc-4.3-multilib_4.3.2-1.1_i386.deb
 d689e2ac27c25cf8ef18579a56c2d772c1f9dfed 3225314 gobjc-4.3_4.3.2-1.1_i386.deb
 e89f015d9429cd282837534d1532c15c6b6b2baf 149566 libobjc2_4.3.2-1.1_i386.deb
 b8f5278ce9ffcbdcf5356db4bbf7c494e968035f 271050 libobjc2-dbg_4.3.2-1.1_i386.deb
 2d8e07efcf7dd533e1232e462cc66560955a13f9 158670 lib64objc2_4.3.2-1.1_i386.deb
 07acbe58d19ac33878f9273efcf5c4d75bc8cc64 285108 lib64objc2-dbg_4.3.2-1.1_i386.deb
 0b34926f4c1bb7d106fa4af9c53afccf01063c92 1036380 g++-4.3-multilib_4.3.2-1.1_i386.deb
 3ac82057deb4bd5b22a4fabdd9aa4c587e70ce7c 3413646 g++-4.3_4.3.2-1.1_i386.deb
 4b50b14a9e7ba972ddd81e1633f8568dd7e65b48 332444 libstdc++6_4.3.2-1.1_i386.deb
 c620e79c6a06f559dcbd1fa5e9879e6570a0d4a2 334112 lib64stdc++6_4.3.2-1.1_i386.deb
 c023d4a5ff8f8babc22b265c57f35c86aedab5b4 6038114 lib64stdc++6-4.3-dbg_4.3.2-1.1_i386.deb
 d48d4e77d91756dc2b23399f926b7932c9843324 1388812 libstdc++6-4.3-dev_4.3.2-1.1_i386.deb
 3cbfe0cd02299b91598689d1be5f37cd5234b083 487908 libstdc++6-4.3-pic_4.3.2-1.1_i386.deb
 88ff66e554bc271f578dd6b2906758bb2f0f37de 3598756 libstdc++6-4.3-dbg_4.3.2-1.1_i386.deb
 3c097b67a0dad2deb3b0d8778c651a88115a713a 229126 libgfortran3_4.3.2-1.1_i386.deb
 cce8bab0b40d822bafd9b61e68a944329e5f13d7 350286 libgfortran3-dbg_4.3.2-1.1_i386.deb
 d00ea1a55c895c077ba5bb4011dbf72d72126e9e 270914 lib64gfortran3_4.3.2-1.1_i386.deb
 a3083bfac8029bac32d59e9fd67218520b219484 467016 lib64gfortran3-dbg_4.3.2-1.1_i386.deb
 2682a2a52ce68b0a8fd9c36f074ee8f01258825a 306312 gfortran-4.3-multilib_4.3.2-1.1_i386.deb
 02b44d65a845d6617a2965ee1666d0a2f8b04c54 3503474 gfortran-4.3_4.3.2-1.1_i386.deb
 87c926dfe18073d4dbfcecd97210275356cfb23d 2166918 gcc-4.3-multilib_4.3.2-1.1_i386.deb
 d8044c0202ef1a41ffa78c9e38cc14f135a8745b 2747176 gcc-4.3_4.3.2-1.1_i386.deb
Checksums-Sha256: 
 7a636fe2c100ca1fe2f4ae4d03eeefe266b598463313bca0b71aa0b27d6a36bc 3578 gcc-4.3_4.3.2-1.1.dsc
 67549d953345628c9997502451a6d1252497e7af9043aac76e07ec222a7a99e1 723458 gcc-4.3_4.3.2-1.1.diff.gz
 83ed77ab756100c104a126fbe5ddb7d8ba9d39d89cceb30add0a423b7a681dd7 44859588 gcc-4.3-source_4.3.2-1.1_all.deb
 cc3e277d96f5a9c4881c87f01acead0d4873d5ff5562e42d6fd0ea33b3667880 10083334 libstdc++6-4.3-doc_4.3.2-1.1_all.deb
 00db34eb49cc9fd0b6bf0310fee6843fcca416bead0092c82c443d3d53fe1847 2052636 gcc-4.3-locales_4.3.2-1.1_all.deb
 bb9bcf1e0dbbf3adc64c7b007dc01aa9388bed4bb136f9f1cda06bd12012a123 103374 gcc-4.3-base_4.3.2-1.1_i386.deb
 3c018fea7e862024f183c0b244f7f807b47354c4510dfb1f9ec99fe6d2b2bd0b 25756 libgcc1_4.3.2-1.1_i386.deb
 8733769b165c7adb5f3b9af324de497ed25d1eb23a2bbb55689856d87fbedfe1 58180 libgcc1-dbg_4.3.2-1.1_i386.deb
 6be50b3c2e9a78e0522e7533667e5ba2e2a4deba018b27c21ee723e479627f5e 44044 lib64gcc1_4.3.2-1.1_i386.deb
 8dac5479a174d3d7df48e88ff45e3fa0dc92d6c1e6594c747b2c356230289753 82956 lib64gcc1-dbg_4.3.2-1.1_i386.deb
 cda8caacb9bc50aa28e32c9d23fc74922a0e7af87958ce3a7ef460be229ead11 13248 libgomp1_4.3.2-1.1_i386.deb
 662f5475cb192400d414b018299295639650833e5a6dbaace92953aecfefdc4a 33852 libgomp1-dbg_4.3.2-1.1_i386.deb
 65e86720dfa4aab0dc58d350b8d6d4f86dee574ec372cfda1d02191df17afa3d 15494 lib64gomp1_4.3.2-1.1_i386.deb
 5782eaad9ed5a7bb7136dda02a3f5e0f35b385b2493d59b92f6723a8f7147026 34850 lib64gomp1-dbg_4.3.2-1.1_i386.deb
 a42bc4fab7da938df43dffed21c39f83216acf69a090343d03821b7c932107d1 3087432 cpp-4.3_4.3.2-1.1_i386.deb
 d8fb611f6803efb67a358bf3c21ce41f5945f484ec1cac611a82090d3fcb845b 41716 protoize_4.3.2-1.1_i386.deb
 907ff18680d2b908deb18346d278fa2b54c80d778fad670995864a123ba5ee2b 62960 fixincludes_4.3.2-1.1_i386.deb
 c4786437ec84e2c2e12b78459acf5be4c86915ed30fa708b7364f853b7c85699 208520 libmudflap0-4.3-dev_4.3.2-1.1_i386.deb
 4d501b3d99b3c16e1e1a47196efd55c9b17ec9c00fa7dff4aeb1e69645a3d114 77568 libmudflap0_4.3.2-1.1_i386.deb
 f93af2d9cdad3e8cd15c63c2a7cc7a4dda18bd972160612b7b95644035a466b3 122568 libmudflap0-dbg_4.3.2-1.1_i386.deb
 75cd829876f3d188cd40e8abbb565b75f3bbd751a74da747a493222b00e6042a 95984 lib64mudflap0_4.3.2-1.1_i386.deb
 8bf30f96ac32f49e2afb4e92a48adebb4a52395c5a5f86d0ce1b5882e1cac88f 127534 lib64mudflap0-dbg_4.3.2-1.1_i386.deb
 48f010610bab74640c942a8c0cbc0194599f8450ea4d5a77e043c26aafd203e3 852 gobjc++-4.3-multilib_4.3.2-1.1_i386.deb
 d261f143973e80f4d94ced7cae8c904ca0f56c1b8cdd493e43dc82aaa007994e 3314788 gobjc++-4.3_4.3.2-1.1_i386.deb
 4de594849b828336b924bdbce688caeaabd929dae4624490868c2527f7f454bd 183788 gobjc-4.3-multilib_4.3.2-1.1_i386.deb
 2fe6486e238959f524b4839ffab76a4ba217b305b153fa33590bf1899e23ff6a 3225314 gobjc-4.3_4.3.2-1.1_i386.deb
 ad8f6303f618fa431a139211155742b7c1a7be9afe2dcb41bd81a806e3193c17 149566 libobjc2_4.3.2-1.1_i386.deb
 9b06c06f2da19d185fca45486990aada34b02a2a13b0c5aea77a711157079c1c 271050 libobjc2-dbg_4.3.2-1.1_i386.deb
 c9d0c5a44b5122b661bbdfa8a1d4139a8705191b5046fb1ab604f03da388ac0f 158670 lib64objc2_4.3.2-1.1_i386.deb
 f0ddd1a632f54f2113dc0f6a684c768e70fae98ad36fc4787ad9185d1f31265b 285108 lib64objc2-dbg_4.3.2-1.1_i386.deb
 4399767afcd5011827146a506dc3aefc0af80d97cc4d1c0f0283dfb9d140aed3 1036380 g++-4.3-multilib_4.3.2-1.1_i386.deb
 3e56c5e7306667cf87e54bef40fd14b99bb3b5e804e70f2824c9e26565722890 3413646 g++-4.3_4.3.2-1.1_i386.deb
 4958d78b0aaf36a2741058dee73e8175802f016a6fe3cfc578769038e37d90f6 332444 libstdc++6_4.3.2-1.1_i386.deb
 c06a294752e8ac80211f63955524e8a8da8cf44614eb948282251b923457d9b5 334112 lib64stdc++6_4.3.2-1.1_i386.deb
 c71321446fca328b528e0dea5c54942f0dd4e4142702c72133e0b2df4664442b 6038114 lib64stdc++6-4.3-dbg_4.3.2-1.1_i386.deb
 f18c01798386440332c641bd37a44928b7edbfba863959776936ed3015eb761b 1388812 libstdc++6-4.3-dev_4.3.2-1.1_i386.deb
 1ba472560dc0f68e5b43542571e4d3eb7ca536869d81a7724b8173e96ea25bf0 487908 libstdc++6-4.3-pic_4.3.2-1.1_i386.deb
 d3743bd173cab0ada860cb8af3f9515ab00f89f35bdab0cb524fd52477bc025a 3598756 libstdc++6-4.3-dbg_4.3.2-1.1_i386.deb
 21c2a505e0112d55341a61962d0a461240076328eb6ce4309fc99fa7261ee361 229126 libgfortran3_4.3.2-1.1_i386.deb
 b421bbc73d5594b1138bb3ee140342fb16a5bd7ec296cf7565ef6100e1421c4e 350286 libgfortran3-dbg_4.3.2-1.1_i386.deb
 08fdd4080e302e8c4309d0d2c85c814f91d791140b6b20b0aa96a6126beaf1f1 270914 lib64gfortran3_4.3.2-1.1_i386.deb
 32ae3a5adc973ee0127bc8d50da2da5b7b27fc7d04231d20a339fa0500ef3e73 467016 lib64gfortran3-dbg_4.3.2-1.1_i386.deb
 2f0ceb56e9abd30e187c5386b0d5b2196505d16a3a26f850b859865886269c53 306312 gfortran-4.3-multilib_4.3.2-1.1_i386.deb
 e00b94aae54688ce00ce8ff54b476bd71d66fb395c47258aa8655dd8c45e7cdd 3503474 gfortran-4.3_4.3.2-1.1_i386.deb
 7ba49eaece83b220241f759d05af1e7ce9bc31b42098e728f48d4ff4d5cdeee5 2166918 gcc-4.3-multilib_4.3.2-1.1_i386.deb
 d23d016d367bad971712dce62b1bd9469297d0199be4d4cc1950d9b6f228b874 2747176 gcc-4.3_4.3.2-1.1_i386.deb
Files: 
 0deca48ff022751408cde85d0f60182f 3578 devel optional gcc-4.3_4.3.2-1.1.dsc
 b9c50b4d01c89241a9bc1e17d003c97d 723458 devel optional gcc-4.3_4.3.2-1.1.diff.gz
 25b223682b4ffe2c432b1614652f8fe9 44859588 devel optional gcc-4.3-source_4.3.2-1.1_all.deb
 a21487a8c77b446778d0f8df0e6a001a 10083334 doc optional libstdc++6-4.3-doc_4.3.2-1.1_all.deb
 0b54b966292053c042f40baddd6a31fa 2052636 devel optional gcc-4.3-locales_4.3.2-1.1_all.deb
 d9b6242bb3a3406cc3cbaf0e22a033c6 103374 libs required gcc-4.3-base_4.3.2-1.1_i386.deb
 6c2bca4f87524681a15b2d4e0af90a1e 25756 libs required libgcc1_4.3.2-1.1_i386.deb
 0af1f24bc57fd349cc64b5efdc94cbe3 58180 libdevel extra libgcc1-dbg_4.3.2-1.1_i386.deb
 9bb7136052096ee391dae34ff4142cf8 44044 libs optional lib64gcc1_4.3.2-1.1_i386.deb
 ff059beeaf69e925d8901385efc8bc3d 82956 libdevel extra lib64gcc1-dbg_4.3.2-1.1_i386.deb
 158d9a7de61443bc3360af9f4e98219f 13248 libs optional libgomp1_4.3.2-1.1_i386.deb
 49281a8ca5a382c65bc825320a49edae 33852 libdevel extra libgomp1-dbg_4.3.2-1.1_i386.deb
 0ab3c380e3f6283b8032ca85a5e8bd81 15494 libs optional lib64gomp1_4.3.2-1.1_i386.deb
 36e9c40674304a0e4b1d4846ef68f7f1 34850 libdevel extra lib64gomp1-dbg_4.3.2-1.1_i386.deb
 192aa5320dd9b1da7033e7b254114667 3087432 interpreters optional cpp-4.3_4.3.2-1.1_i386.deb
 4f8715f04d6852a4022d7223d2d8a48d 41716 devel optional protoize_4.3.2-1.1_i386.deb
 706213a4a41405b6fdd98550e76511ea 62960 devel optional fixincludes_4.3.2-1.1_i386.deb
 f629db02fd3a9e3946a454b4df0dee08 208520 libdevel optional libmudflap0-4.3-dev_4.3.2-1.1_i386.deb
 a1b7d64fc17e4e234b68f450e634f86f 77568 libs optional libmudflap0_4.3.2-1.1_i386.deb
 935ef0ab565e1b0bd8b755fb3e873011 122568 libdevel extra libmudflap0-dbg_4.3.2-1.1_i386.deb
 41d6820f5b263b93b2737a435d53c512 95984 libs optional lib64mudflap0_4.3.2-1.1_i386.deb
 f2a9a17bb5627c4e9725be7c4444d316 127534 libdevel extra lib64mudflap0-dbg_4.3.2-1.1_i386.deb
 89f0b51470e1c9476e49c36d26bc1ebf 852 devel optional gobjc++-4.3-multilib_4.3.2-1.1_i386.deb
 c9be34b7724347ad134b38eb7daba383 3314788 devel optional gobjc++-4.3_4.3.2-1.1_i386.deb
 3763562c1be2e170c054eff8450f90fc 183788 devel optional gobjc-4.3-multilib_4.3.2-1.1_i386.deb
 a6b47f75d5bab6c3196e4769245fd39a 3225314 devel optional gobjc-4.3_4.3.2-1.1_i386.deb
 40dea1c99280e5c168380795d9b8dde8 149566 libs optional libobjc2_4.3.2-1.1_i386.deb
 1d53e5323de815cb91ed0531e2fd1403 271050 libdevel extra libobjc2-dbg_4.3.2-1.1_i386.deb
 0d242bfea9bd3bf8a439a497f28b7e6a 158670 libs optional lib64objc2_4.3.2-1.1_i386.deb
 c8b7babaaa40817f8ff807328feb529f 285108 libdevel extra lib64objc2-dbg_4.3.2-1.1_i386.deb
 b5e01a3799dd752119c90924c939678a 1036380 devel optional g++-4.3-multilib_4.3.2-1.1_i386.deb
 38d1fa01fe777465680fbc99d1d12dfa 3413646 devel optional g++-4.3_4.3.2-1.1_i386.deb
 4ba07fd7e8f8887fdeab7e3b620a6447 332444 libs required libstdc++6_4.3.2-1.1_i386.deb
 54d7ced8e92e700da2f1c1acec809564 334112 libs optional lib64stdc++6_4.3.2-1.1_i386.deb
 3d47eb75e9a6b81156db8068d0c3215e 6038114 libdevel extra lib64stdc++6-4.3-dbg_4.3.2-1.1_i386.deb
 e489839741bbfc3d20b4a310d1eb277c 1388812 libdevel optional libstdc++6-4.3-dev_4.3.2-1.1_i386.deb
 4ba703f8641e3e0a947d87278e3f3917 487908 libdevel extra libstdc++6-4.3-pic_4.3.2-1.1_i386.deb
 a95966d92a3b4349dab92837cc53b7d6 3598756 libdevel extra libstdc++6-4.3-dbg_4.3.2-1.1_i386.deb
 6df6aa7a3fa711105b11ebd260866c0d 229126 libs optional libgfortran3_4.3.2-1.1_i386.deb
 ebebe48f5a550b6adf08c9e8043370a9 350286 libdevel extra libgfortran3-dbg_4.3.2-1.1_i386.deb
 4b48cb908a948847624750e9dbb7fdb8 270914 libs optional lib64gfortran3_4.3.2-1.1_i386.deb
 f703199648860b82c8245b340d02c2ab 467016 libdevel extra lib64gfortran3-dbg_4.3.2-1.1_i386.deb
 9b902f7a5de3585f3726d2e735df44e2 306312 devel optional gfortran-4.3-multilib_4.3.2-1.1_i386.deb
 7dddf9e5e19c6d43c5b94cbbd6b02d79 3503474 devel optional gfortran-4.3_4.3.2-1.1_i386.deb
 35c55e94628470807827f06dee13d5a5 2166918 devel optional gcc-4.3-multilib_4.3.2-1.1_i386.deb
 fa3a2d1ed6ca9193d70b10d4262214bd 2747176 devel optional gcc-4.3_4.3.2-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkldh4QACgkQStlRaw+TLJzfZwCgvdCGEu7leMwZTOent18Z5SG4
BWEAn3RdmVAIavwRuZr9zqK6irXbOOhu
=WK1P
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#506713; Package g++-4.3. (Sat, 03 Jan 2009 01:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sat, 03 Jan 2009 01:15:03 GMT) Full text and rfc822 format available.

Message #48 received at 506713@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: debian-release@lists.debian.org
Cc: 506713@bugs.debian.org, 490999@bugs.debian.org
Subject: Incorrect code in SPARC shared libraries
Date: Sat, 03 Jan 2009 01:13:43 +0000
[Message part 1 (text/plain, inline)]
Bug #506713 in gcc-4.3, which has just been fixed in unstable, results
in incorrect code generation in SPARC shared libraries.  I identified
this as the cause of bug #490999 in kicker, but it presumably affects
other shared libraries and will require binNMUs to fix.  However, doing
a binNMU for every package that builds a shared library would obviously
take a lot of buildd time and would likely make a mess of dependencies.

I do not know exactly what is the general pattern for the wrongly
generated code, but I will try scanning for shared libraries containing
the pattern:

        save %sp, offset1, %sp
        /* up to 10 instructions */
        ld [ %sp + offset2 ], reg

where offset1 + offset2 < 0 and reg is any register.

Ben.

-- 
Ben Hutchings
Lowery's Law:
             If it jams, force it. If it breaks, it needed replacing anyway.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Feb 2009 07:26:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:55:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.